package org.apache.maven.archiva.dependency.graph;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import org.apache.maven.archiva.model.ArchivaProjectModel;
import org.apache.maven.archiva.model.Dependency;
import org.apache.maven.archiva.model.VersionedReference;

/**
 * ContinuumStoreMemoryRepository
 * 
 * MemoryRepository for testing <code>org.apache.maven.continuum:continuum-store:1.1-SNAPSHOT</code>
 *
 * Generated by <code>archivadev:generate-dependency-tests</code> plugin
 * @version $Id$
 */
public class ContinuumStoreMemoryRepository
   extends AbstractMemoryRepository
{
   public void initialize()
   {
      ArchivaProjectModel model;
      Dependency dep;

      model = toModel( "org.apache.maven.continuum:continuum-store:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-parent:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependency( toDependency( "jmock:jmock:1.0.1::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-20::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-20::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-jdo2:1.0-alpha-8::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-test:1.1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-model:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-api:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.7.3.3::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      dep = toDependency( "org.apache.maven:maven-core:2.0.5::jar" );
      addExclusion( dep, "classworlds:classworlds" );
      model.addDependencyManagement( dep );
      model.addDependencyManagement( toDependency( "org.apache.maven:maven-model:2.0.5::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven:maven-artifact:2.0.5::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven:maven-artifact-manager:2.0.5::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven:maven-project:2.0.5::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven:maven-settings:2.0.5::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-api:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-manager-plexus:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-bazaar:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-clearcase:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-cvsjava:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-cvsexe:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-hg:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-local:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-perforce:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-starteam:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-svnexe:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-synergy:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-vss:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-file:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-http-lightweight:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-ssh:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-ssh-external:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-webdav:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-model:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-api:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-configuration:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-store:1.1-SNAPSHOT:tests:jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-store:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-core:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-test:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-web:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-xmlrpc-api:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-xmlrpc-client:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-xmlrpc-server:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-plexus-application:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-notifier-api:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-notifier-irc:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-notifier-jabber:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-notifier-msn:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-notifier-wagon:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-release:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-security:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-webapp:1.1-SNAPSHOT::war" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.shared:maven-app-configuration-model:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.shared:maven-app-configuration-web:1.0::jar" ) );
      dep = toDependency( "jpox:jpox:1.1.7::jar" );
      addExclusion( dep, "javax.sql:jdbc-stdext" );
      model.addDependencyManagement( dep );
      dep = toDependency( "jpox:jpox-enhancer:1.1.7::jar" );
      addExclusion( dep, "javax.sql:jdbc-stdext" );
      model.addDependencyManagement( dep );
      model.addDependencyManagement( toDependency( "jpox:jpox-dbcp:1.1.7::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-jdo2:1.0-alpha-8::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-formica:1.0-beta-13::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-velocity:1.1.4::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-mail-sender-api:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-mail-sender-simple:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-mail-sender-test:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-mail-sender-javamail:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-notification:1.0-alpha-5::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-taskqueue:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.derby:derby:10.1.3.1::jar" ) );
      model.addDependencyManagement( toDependency( "hsqldb:hsqldb:1.7.3.3::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-quartz:1.0-alpha-3::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-xwork-integration:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-role-manager:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-memory:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-xwork-content:1.0-alpha-1::war" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-xwork-integration:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-taglib:1.0-alpha-1::jar" ) );
      model.addProperty( "continuumWebappVersion", "1.1-SNAPSHOT" );
      model.addProperty( "wagon.version", "1.0-beta-2" );
      model.addProperty( "maven.version", "2.0.5" );
      model.addProperty( "maven-scm.version", "1.0" );
      model.addProperty( "redback.version", "1.0-alpha-1" );
      model.addProperty( "mail-sender.version", "1.0-alpha-6" );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-parent:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven:maven-parent:5" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependency( toDependency( "jmock:jmock:1.0.1::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-20::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-20::jar" ) );
      dep = toDependency( "org.apache.maven:maven-core:2.0.5::jar" );
      addExclusion( dep, "classworlds:classworlds" );
      model.addDependencyManagement( dep );
      model.addDependencyManagement( toDependency( "org.apache.maven:maven-model:2.0.5::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven:maven-artifact:2.0.5::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven:maven-artifact-manager:2.0.5::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven:maven-project:2.0.5::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven:maven-settings:2.0.5::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-api:1.0-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-manager-plexus:1.0-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-bazaar:1.0-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-clearcase:1.0-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-cvsjava:1.0-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-cvsexe:1.0-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-hg:1.0-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-local:1.0-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-perforce:1.0-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-starteam:1.0-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-svnexe:1.0-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-synergy:1.0-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.scm:maven-scm-provider-vss:1.0-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-file:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-http-lightweight:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-ssh:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-ssh-external:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-webdav:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-model:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-api:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-configuration:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-store:1.1-SNAPSHOT:tests:jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-store:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-core:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-test:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-web:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-xmlrpc-api:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-xmlrpc-client:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-xmlrpc-server:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-plexus-application:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-notifier-api:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-notifier-irc:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-notifier-jabber:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-notifier-msn:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-notifier-wagon:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-release:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-security:1.1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.continuum:continuum-webapp:1.1-SNAPSHOT::war" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.shared:maven-app-configuration-model:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.shared:maven-app-configuration-web:1.0::jar" ) );
      dep = toDependency( "jpox:jpox:1.1.7::jar" );
      addExclusion( dep, "javax.sql:jdbc-stdext" );
      model.addDependencyManagement( dep );
      dep = toDependency( "jpox:jpox-enhancer:1.1.7::jar" );
      addExclusion( dep, "javax.sql:jdbc-stdext" );
      model.addDependencyManagement( dep );
      model.addDependencyManagement( toDependency( "jpox:jpox-dbcp:1.1.7::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-jdo2:1.0-alpha-8::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-formica:1.0-beta-13::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-velocity:1.1.4::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-mail-sender-api:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-mail-sender-simple:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-mail-sender-test:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-mail-sender-javamail:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-notification:1.0-alpha-5::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-taskqueue:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.derby:derby:10.1.3.1::jar" ) );
      model.addDependencyManagement( toDependency( "hsqldb:hsqldb:1.7.3.3::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-quartz:1.0-alpha-3::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-xwork-integration:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-role-manager:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-memory:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-xwork-content:1.0-alpha-1-SNAPSHOT::war" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-xwork-integration:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-taglib:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addProperty( "continuumWebappVersion", "1.1-SNAPSHOT" );
      model.addProperty( "wagon.version", "1.0-beta-2" );
      model.addProperty( "maven.version", "2.0.5" );
      model.addProperty( "maven-scm.version", "1.0-SNAPSHOT" );
      model.addProperty( "redback.version", "1.0-alpha-1-SNAPSHOT" );
      model.addProperty( "mail-sender.version", "1.0-alpha-6" );
      addModel( model );

      model = toModel( "org.apache.maven:maven-parent:5" );
      model.setParentProject( toParent( "org.apache:apache:3" ) );
      addModel( model );

      model = toModel( "org.apache:apache:3" );
      addModel( model );

      model = toModel( "junit:junit:3.8.1" );
      addModel( model );

      model = toModel( "jmock:jmock:1.0.1" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-component-api:1.0-alpha-20" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-containers:1.0-alpha-20" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-7::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-containers:1.0-alpha-20" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.10" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "compile" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-7::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-19::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.3::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus:1.0.10" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-7" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.9" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "compile" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus:1.0.9" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-component-api:1.0-alpha-19" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-containers:1.0-alpha-19" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-7::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-containers:1.0-alpha-19" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.10" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "compile" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-7::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-19::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.3::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-utils:1.3" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.8" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus:1.0.8" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-container-default:1.0-alpha-20" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-containers:1.0-alpha-20" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-19::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.3::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-7::jar" ) );
      model.addDependency( toDependency( "jmock:jmock:1.0.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-core:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-settings:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-file:1.0-beta-2::jar", "runtime" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-plugin-parameter-documenter:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-http-lightweight:1.0-beta-2::jar", "runtime" ) );
      model.addDependency( toDependency( "org.apache.maven.reporting:maven-reporting-api:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-profile:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-model:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-beta-2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-repository-metadata:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-error-diagnostics:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-project:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-plugin-registry:2.0.5::jar" ) );
      dep = toDependency( "commons-cli:commons-cli:1.0::jar" );
      addExclusion( dep, "commons-lang:commons-lang" );
      addExclusion( dep, "commons-logging:commons-logging" );
      model.addDependency( dep );
      model.addDependency( toDependency( "org.apache.maven:maven-plugin-api:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-ssh-external:1.0-beta-2::jar", "runtime" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-plugin-descriptor:2.0.5::jar" ) );
      dep = toDependency( "org.codehaus.plexus:plexus-interactivity-api:1.0-alpha-4::jar" );
      addExclusion( dep, "plexus:plexus-utils" );
      addExclusion( dep, "org.codehaus.plexus:plexus-container-default" );
      model.addDependency( dep );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact-manager:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-monitor:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-ssh:1.0-beta-2::jar", "runtime" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependency( toDependency( "classworlds:classworlds:1.1::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven-parent:5" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-ssh:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-ssh-external:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-file:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-http-lightweight:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "easymock:easymock:1.2_Java1.3::jar", "test" ) );
      model.addDependencyManagement( toDependency( "classworlds:classworlds:1.1::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-containers:1.0.3" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "compile" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      model.addDependency( toDependency( "classworlds:classworlds:1.1-alpha-2::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-containers:1.0.3" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.4" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus:1.0.4" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-utils:1.0.4" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "classworlds:classworlds:1.1-alpha-2" );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-utils:1.1" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.4" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-provider-api:1.0-beta-2" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon:1.0-beta-2" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon:1.0-beta-2" );
      model.setParentProject( toParent( "org.apache.maven:maven-parent:4" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-provider-test:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-ssh-common-test:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-ssh-common:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "junit:junit:3.8.1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-interactivity-api:1.0-alpha-4::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-parent:4" );
      model.setParentProject( toParent( "org.apache:apache:3" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-provider-test:1.0-beta-2" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon:1.0-beta-2" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-beta-2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8" );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar", "compile" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "compile" ) );
      model.addDependency( toDependency( "classworlds:classworlds:1.1-alpha-2::jar", "compile" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-ssh-common-test:1.0-beta-2" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon-providers:1.0-beta-2" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-ssh-common:1.0-beta-2::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-providers:1.0-beta-2" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon:1.0-beta-2" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-test:1.0-beta-2::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-ssh-common:1.0-beta-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-ssh-common-test:1.0-beta-2::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-ssh-common:1.0-beta-2" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon-providers:1.0-beta-2" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-interactivity-api:1.0-alpha-4::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-interactivity-api:1.0-alpha-4" );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-7::jar", "compile" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependency( toDependency( "classworlds:classworlds:1.1-alpha-2::jar", "compile" ) );
      model.addDependency( toDependency( "plexus:plexus-utils:1.0.2::jar", "compile" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-container-default:1.0-alpha-7" );
      model.setParentProject( toParent( "plexus:plexus-containers:1.0.2" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "compile" ) );
      model.addDependency( toDependency( "plexus:plexus-utils:1.0.2::jar" ) );
      model.addDependency( toDependency( "classworlds:classworlds:1.1-alpha-2::jar" ) );
      addModel( model );

      model = toModel( "plexus:plexus-containers:1.0.2" );
      model.setParentProject( toParent( "plexus:plexus-root:1.0.3" ) );
      addModel( model );

      model = toModel( "plexus:plexus-root:1.0.3" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "plexus:plexus-utils:1.0.2" );
      model.setParentProject( toParent( "plexus:plexus-root:1.0.3" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-ssh:1.0-beta-2" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon-providers:1.0-beta-2" ) );
      model.addDependency( toDependency( "com.jcraft:jsch:0.1.27::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-interactivity-api:1.0-alpha-4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-ssh-common:1.0-beta-2::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-ssh-common-test:1.0-beta-2::jar", "test" ) );
      addModel( model );

      model = toModel( "com.jcraft:jsch:0.1.27" );
      dep = toDependency( "com.jcraft:jzlib:1.0.7::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      addModel( model );

      model = toModel( "com.jcraft:jzlib:1.0.7" );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-ssh-external:1.0-beta-2" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon-providers:1.0-beta-2" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-ssh-common:1.0-beta-2::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-ssh-common-test:1.0-beta-2::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-file:1.0-beta-2" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon-providers:1.0-beta-2" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-http-lightweight:1.0-beta-2" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon-providers:1.0-beta-2" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-http-shared:1.0-beta-2::jar" ) );
      model.addDependency( toDependency( "xml-apis:xml-apis:1.0.b2::jar" ) );
      dep = toDependency( "plexus:plexus-jetty-httpd:1.0-beta-1::jar", "test" );
      addExclusion( dep, "plexus:plexus-container-default" );
      model.addDependency( dep );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-http-shared:1.0-beta-2" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon-providers:1.0-beta-2" ) );
      model.addDependency( toDependency( "jtidy:jtidy:4aug2000r7-dev::jar" ) );
      addModel( model );

      model = toModel( "jtidy:jtidy:4aug2000r7-dev" );
      addModel( model );

      model = toModel( "xml-apis:xml-apis:1.0.b2" );
      addModel( model );

      model = toModel( "plexus:plexus-jetty-httpd:1.0-beta-1" );
      model.setParentProject( toParent( "plexus:plexus-components:1.0" ) );
      model.addDependency( toDependency( "jetty:jetty:4.2.10::jar" ) );
      model.addDependency( toDependency( "servletapi:servletapi:2.3::jar" ) );
      addModel( model );

      model = toModel( "plexus:plexus-components:1.0" );
      model.setParentProject( toParent( "plexus:plexus-root:1.0" ) );
      model.addDependency( toDependency( "plexus:plexus-container-default:1.0-alpha-2::jar" ) );
      addModel( model );

      model = toModel( "plexus:plexus-root:1.0" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "plexus:plexus-container-default:1.0-alpha-2" );
      addModel( model );

      model = toModel( "jetty:jetty:4.2.10" );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.3::jar", "runtime" ) );
      addModel( model );

      model = toModel( "javax.servlet:servlet-api:2.3" );
      addModel( model );

      model = toModel( "servletapi:servletapi:2.3" );
      model.setRelocation( new VersionedReference() );
      model.getRelocation().setGroupId( "javax.servlet" );
      model.getRelocation().setArtifactId( "servlet-api" );
      model.getRelocation().setVersion( "2.3" );
      addModel( model );

      model = toModel( "easymock:easymock:1.2_Java1.3" );
      addModel( model );

      model = toModel( "classworlds:classworlds:1.1" );
      addModel( model );

      model = toModel( "org.apache.maven:maven-settings:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-model:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-model:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-plugin-parameter-documenter:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.reporting:maven-reporting-api:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven.reporting:maven-reporting:2.0.5" ) );
      model.addDependency( toDependency( "org.apache.maven.doxia:doxia-sink-api:1.0-alpha-7::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.reporting:maven-reporting:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      addModel( model );

      model = toModel( "org.apache.maven.doxia:doxia-sink-api:1.0-alpha-7" );
      model.setParentProject( toParent( "org.apache.maven.doxia:doxia:1.0-alpha-7" ) );
      addModel( model );

      model = toModel( "org.apache.maven.doxia:doxia:1.0-alpha-7" );
      addModel( model );

      model = toModel( "org.apache.maven:maven-profile:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-model:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-artifact:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-repository-metadata:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-error-diagnostics:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-project:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-settings:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact-test:2.0.5::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-profile:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-model:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact-manager:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-artifact-test:2.0.5" );
      addModel( model );

      model = toModel( "org.apache.maven:maven-artifact-manager:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-repository-metadata:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-file:1.0-beta-2::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-beta-2::jar" ) );
      model.addDependency( toDependency( "easymock:easymock:1.2_Java1.3::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-plugin-registry:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      addModel( model );

      model = toModel( "commons-cli:commons-cli:1.0" );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0::jar" ) );
      model.addDependency( toDependency( "commons-lang:commons-lang:1.0::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.7::jar", "test" ) );
      addModel( model );

      model = toModel( "commons-logging:commons-logging:1.0" );
      addModel( model );

      model = toModel( "commons-lang:commons-lang:1.0" );
      model.addDependency( toDependency( "junit:junit:3.7::jar" ) );
      addModel( model );

      model = toModel( "junit:junit:3.7" );
      addModel( model );

      model = toModel( "org.apache.maven:maven-plugin-api:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-plugin-descriptor:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-plugin-api:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-monitor:2.0.5" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.5" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-api:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm:1.0-SNAPSHOT" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven:maven-parent:5" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-manager-plexus:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-managers:1.0-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-managers:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm:1.0-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-api:1.0-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-bazaar:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-SNAPSHOT" ) );
      model.addDependency( toDependency( "regexp:regexp:1.3::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-7::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-providers:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm:1.0-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-api:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-test:1.0-SNAPSHOT::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-test:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm:1.0-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-api:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-manager-plexus:1.0-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "regexp:regexp:1.3" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-clearcase:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-cvsjava:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers-cvs:1.0-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvs-commons:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.netbeans.lib:cvsclient:20060125::jar" ) );
      model.addDependency( toDependency( "ch.ethz.ganymed:ganymed-ssh2:build210::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvstest:1.0-SNAPSHOT::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-providers-cvs:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-cvs-commons:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers-cvs:1.0-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvstest:1.0-SNAPSHOT::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-cvstest:1.0-SNAPSHOT" );
      addModel( model );

      model = toModel( "org.netbeans.lib:cvsclient:20060125" );
      addModel( model );

      model = toModel( "ch.ethz.ganymed:ganymed-ssh2:build210" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-cvsexe:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers-cvs:1.0-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvstest:1.0-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvs-commons:1.0-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-hg:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-SNAPSHOT" ) );
      model.addDependency( toDependency( "regexp:regexp:1.3::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-local:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-perforce:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-SNAPSHOT" ) );
      model.addDependency( toDependency( "regexp:regexp:1.3::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-starteam:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-svnexe:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers-svn:1.0-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-svn-commons:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-svntest:1.0-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "regexp:regexp:1.3::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-providers-svn:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-svn-commons:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers-svn:1.0-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-svntest:1.0-SNAPSHOT" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-synergy:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-vss:1.0-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-webdav:1.0-beta-2" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon-providers:1.0-beta-2" ) );
      model.addDependency( toDependency( "slide:slide-webdavlib:2.1::jar" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.4::jar", "runtime" ) );
      model.addDependency( toDependency( "it.could:webdav:0.4::jar", "test" ) );
      model.addDependency( toDependency( "org.mortbay.jetty:jetty:4.2.12::jar", "test" ) );
      addModel( model );

      model = toModel( "slide:slide-webdavlib:2.1" );
      model.addDependency( toDependency( "commons-httpclient:commons-httpclient:2.0.2::jar" ) );
      model.addDependency( toDependency( "jdom:jdom:1.0::jar" ) );
      model.addDependency( toDependency( "de.zeigermann.xml:xml-im-exporter:1.1::jar" ) );
      addModel( model );

      model = toModel( "commons-httpclient:commons-httpclient:2.0.2" );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.3::jar" ) );
      addModel( model );

      model = toModel( "commons-logging:commons-logging:1.0.3" );
      dep = toDependency( "log4j:log4j:1.2.6::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "logkit:logkit:1.0.1::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "junit:junit:3.7::jar", "test" ) );
      addModel( model );

      model = toModel( "log4j:log4j:1.2.6" );
      addModel( model );

      model = toModel( "logkit:logkit:1.0.1" );
      addModel( model );

      model = toModel( "jdom:jdom:1.0" );
      dep = toDependency( "xerces:xercesImpl:2.6.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "xml-apis:xml-apis:1.0.b2::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "jaxen:jaxen:1.0-FCS::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "saxpath:saxpath:1.0-FCS::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "xalan:xalan:2.5.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      addModel( model );

      model = toModel( "xerces:xercesImpl:2.6.0" );
      addModel( model );

      model = toModel( "jaxen:jaxen:1.0-FCS" );
      addModel( model );

      model = toModel( "saxpath:saxpath:1.0-FCS" );
      addModel( model );

      model = toModel( "xalan:xalan:2.5.0" );
      addModel( model );

      model = toModel( "de.zeigermann.xml:xml-im-exporter:1.1" );
      addModel( model );

      model = toModel( "commons-logging:commons-logging:1.0.4" );
      dep = toDependency( "log4j:log4j:1.2.6::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "logkit:logkit:1.0.1::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "junit:junit:3.7::jar", "test" ) );
      dep = toDependency( "avalon-framework:avalon-framework:4.1.3::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      addModel( model );

      model = toModel( "avalon-framework:avalon-framework:4.1.3" );
      addModel( model );

      model = toModel( "it.could:webdav:0.4" );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.3::jar", "runtime" ) );
      addModel( model );

      model = toModel( "org.mortbay.jetty:jetty:4.2.12" );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-model:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-parent:1.1-SNAPSHOT" ) );
      dep = toDependency( "net.java.dev.stax-utils:stax-utils:20060502::jar" );
      addExclusion( dep, "com.bea.xml:jsr173-ri" );
      model.addDependency( dep );
      model.addDependency( toDependency( "stax:stax-api:1.0.1::jar" ) );
      addModel( model );

      model = toModel( "net.java.dev.stax-utils:stax-utils:20060502" );
      model.addDependency( toDependency( "com.bea.xml:jsr173-ri:1.0::jar" ) );
      addModel( model );

      model = toModel( "com.bea.xml:jsr173-ri:1.0" );
      model.addDependency( toDependency( "javax.xml:jsr173:1.0::jar" ) );
      addModel( model );

      model = toModel( "javax.xml:jsr173:1.0" );
      addModel( model );

      model = toModel( "stax:stax-api:1.0.1" );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-api:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-parent:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-formica:1.0-beta-13::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-model:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-formica:1.0-beta-13" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.9" ) );
      model.addDependency( toDependency( "oro:oro:2.0.6::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-i18n:1.0-beta-6::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      model.addDependency( toDependency( "ognl:ognl:2.6.7::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-components:1.1.9" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.10" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-16::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-16::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-component-api:1.0-alpha-16" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-containers:1.0-alpha-16" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-7::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-containers:1.0-alpha-16" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.9" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "compile" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-7::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-16::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.3::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-container-default:1.0-alpha-16" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-containers:1.0-alpha-16" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-16::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.3::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-7::jar" ) );
      model.addDependency( toDependency( "jmock:jmock:1.0.1::jar", "test" ) );
      addModel( model );

      model = toModel( "oro:oro:2.0.6" );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-i18n:1.0-beta-6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.4" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-components:1.1.4" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.4" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-utils:1.4" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.9" ) );
      addModel( model );

      model = toModel( "ognl:ognl:2.6.7" );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-configuration:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-parent:1.1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-core:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-parent:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-quartz:1.0-alpha-3::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-mail-sender-api:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-notification:1.0-alpha-5::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-settings:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-notifier-api:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-model:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-svnexe:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-velocity:1.1.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-api:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-command-line:1.0-alpha-2::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-beta-2::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-api:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-project:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-core:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-jdo2:1.0-alpha-8::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-formica:1.0-beta-13::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-action:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-taskqueue:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "jpox:jpox:1.1.7::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-store:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-manager-plexus:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "velocity:velocity:1.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-release:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-security:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-role-manager:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.7.3.3::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-test:1.1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-security:1.1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-configuration:1.1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-local:1.0-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.derby:derby:10.1.3.1::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-mail-sender-test:1.0-alpha-6::jar", "test" ) );
      model.addDependency( toDependency( "xml-apis:xml-apis:1.0.b2::jar", "test" ) );
      model.addDependency( toDependency( "xerces:xercesImpl:2.6.2::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-mail-sender-simple:1.0-alpha-6::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-xwork-integration:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-memory:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-quartz:1.0-alpha-3" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.6" ) );
      model.addDependency( toDependency( "quartz:quartz:1.4.5::jar" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.2::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-components:1.1.6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.8" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      addModel( model );

      model = toModel( "quartz:quartz:1.4.5" );
      addModel( model );

      model = toModel( "commons-logging:commons-logging:1.0.2" );
      dep = toDependency( "log4j:log4j:1.1.3::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "logkit:logkit:1.0.1::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "junit:junit:3.7::jar", "test" ) );
      addModel( model );

      model = toModel( "log4j:log4j:1.1.3" );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-mail-sender-api:1.0-alpha-6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-mail-sender:1.0-alpha-6" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-mail-sender:1.0-alpha-6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.9" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-notification:1.0-alpha-5" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.4" ) );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-notifier-api:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-notifiers:1.1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-notifiers:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-parent:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-api:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-notification:1.0-alpha-5::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-velocity:1.1.4" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.8" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:2.0::jar" ) );
      model.addDependency( toDependency( "velocity:velocity:1.4::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-components:1.1.8" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.9" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-15::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-15::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-component-api:1.0-alpha-15" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-containers:1.0-alpha-15" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-6::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-containers:1.0-alpha-15" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.9" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "compile" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-15::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.3::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.9" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "compile" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-container-default:1.0-alpha-15" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-containers:1.0-alpha-15" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-15::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.3::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-6::jar" ) );
      model.addDependency( toDependency( "jmock:jmock:1.0.1::jar", "test" ) );
      addModel( model );

      model = toModel( "commons-collections:commons-collections:2.0" );
      addModel( model );

      model = toModel( "velocity:velocity:1.4" );
      model.addDependency( toDependency( "velocity:velocity-dep:1.4::jar", "runtime" ) );
      addModel( model );

      model = toModel( "velocity:velocity-dep:1.4" );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-command-line:1.0-alpha-2" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.4" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-jdo2:1.0-alpha-8" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.6" ) );
      model.addDependency( toDependency( "javax.jdo:jdo2-api:2.0::jar" ) );
      dep = toDependency( "jpox:jpox:1.1.1::jar", "test" );
      addExclusion( dep, "javax.sql:jdbc-stdext" );
      model.addDependency( dep );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.7.3.0::jar", "test" ) );
      addModel( model );

      model = toModel( "javax.jdo:jdo2-api:2.0" );
      model.addDependency( toDependency( "geronimo-spec:geronimo-spec-jta:1.0.1B-rc2::jar" ) );
      dep = toDependency( "xerces:xerces:2.4.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "xml-apis:xml-apis:1.0.b2::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      addModel( model );

      model = toModel( "geronimo-spec:geronimo-spec-jta:1.0.1B-rc2" );
      addModel( model );

      model = toModel( "xerces:xerces:2.4.0" );
      model.setRelocation( new VersionedReference() );
      model.getRelocation().setGroupId( "xerces" );
      model.getRelocation().setArtifactId( "xercesImpl" );
      addModel( model );

      model = toModel( "xerces:xercesImpl:2.4.0" );
      addModel( model );

      model = toModel( "jpox:jpox:1.1.1" );
      model.setParentProject( toParent( "jpox:jpox-parent:1.1.1" ) );
      model.addDependency( toDependency( "log4j:log4j:1.2.8::jar" ) );
      model.addDependency( toDependency( "javax.jdo:jdo2-api:2.0::jar" ) );
      model.addDependency( toDependency( "javax.resource:connector:1.0::jar" ) );
      dep = toDependency( "javax.security:jaas:1.0.01::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "javax.sql:jdbc-stdext:2.0::jar" ) );
      dep = toDependency( "ant:ant:1.6::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "jpox:jpox-dbcp:1.1.1::jar", "test" ) );
      model.addDependency( toDependency( "commons-dbcp:commons-dbcp:1.2::jar", "test" ) );
      model.addDependency( toDependency( "commons-pool:commons-pool:1.2::jar", "test" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:3.1::jar", "test" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "jpox:jpox-parent:1.1.1" );
      addModel( model );

      model = toModel( "log4j:log4j:1.2.8" );
      addModel( model );

      model = toModel( "javax.resource:connector:1.0" );
      addModel( model );

      model = toModel( "javax.security:jaas:1.0.01" );
      addModel( model );

      model = toModel( "javax.sql:jdbc-stdext:2.0" );
      addModel( model );

      model = toModel( "ant:ant:1.6" );
      addModel( model );

      model = toModel( "jpox:jpox-dbcp:1.1.1" );
      addModel( model );

      model = toModel( "commons-dbcp:commons-dbcp:1.2" );
      addModel( model );

      model = toModel( "commons-pool:commons-pool:1.2" );
      model.addDependency( toDependency( "commons-collections:commons-collections:2.1::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependency( toDependency( "xml-apis:xml-apis:2.0.2::jar" ) );
      model.addDependency( toDependency( "xerces:xerces:2.0.2::jar" ) );
      addModel( model );

      model = toModel( "commons-collections:commons-collections:2.1" );
      model.addDependency( toDependency( "junit:junit:3.7::jar", "test" ) );
      addModel( model );

      model = toModel( "xml-apis:xml-apis:2.0.2" );
      model.setRelocation( new VersionedReference() );
      model.getRelocation().setGroupId( "xml-apis" );
      model.getRelocation().setArtifactId( "xml-apis" );
      model.getRelocation().setVersion( "1.0.b2" );
      addModel( model );

      model = toModel( "xerces:xerces:2.0.2" );
      model.setRelocation( new VersionedReference() );
      model.getRelocation().setGroupId( "xerces" );
      model.getRelocation().setArtifactId( "xercesImpl" );
      addModel( model );

      model = toModel( "xerces:xercesImpl:2.0.2" );
      addModel( model );

      model = toModel( "commons-collections:commons-collections:3.1" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "hsqldb:hsqldb:1.7.3.0" );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-action:1.0-alpha-6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.4" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-taskqueue:1.0-alpha-6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.7" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependency( toDependency( "backport-util-concurrent:backport-util-concurrent:3.0::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-components:1.1.7" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.8" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      addModel( model );

      model = toModel( "backport-util-concurrent:backport-util-concurrent:3.0" );
      addModel( model );

      model = toModel( "jpox:jpox:1.1.7" );
      model.setParentProject( toParent( "jpox:jpox-parent:1.1.7" ) );
      model.addDependency( toDependency( "log4j:log4j:1.2.8::jar" ) );
      model.addDependency( toDependency( "javax.jdo:jdo2-api:2.0::jar" ) );
      model.addDependency( toDependency( "javax.resource:connector:1.0::jar" ) );
      model.addDependency( toDependency( "javax.transaction:jta:1.0.1B::jar" ) );
      dep = toDependency( "ant:ant:1.6::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "jpox:jpox-parent:1.1.7" );
      addModel( model );

      model = toModel( "javax.transaction:jta:1.0.1B" );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-release:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-parent:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-api:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-settings:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-project:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-model:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact-manager:2.0.5::jar" ) );
      dep = toDependency( "org.apache.maven.release:maven-release-manager:1.0-alpha-1::jar" );
      addExclusion( dep, "classworlds:classworlds" );
      model.addDependency( dep );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-taskqueue:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-api:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-manager-plexus:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-bazaar:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-clearcase:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvsjava:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvsexe:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-local:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-perforce:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-starteam:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-svnexe:1.0-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.release:maven-release-manager:1.0-alpha-1" );
      model.setParentProject( toParent( "org.apache.maven.release:maven-release:1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-17::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.3::jar" ) );
      dep = toDependency( "org.codehaus.plexus:plexus-interactivity-api:1.0-alpha-6::jar" );
      addExclusion( dep, "plexus:plexus-utils" );
      model.addDependency( dep );
      model.addDependency( toDependency( "org.apache.maven:maven-model:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-project:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-settings:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-api:1.0-rc1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-manager-plexus:1.0-rc1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-bazaar:1.0-rc1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-clearcase:1.0-rc1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvsexe:1.0-rc1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvsjava:1.0-rc1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-hg:1.0-rc1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-perforce:1.0-rc1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-starteam:1.0-rc1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-svnexe:1.0-rc1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-synergy:1.0-rc1::jar" ) );
      model.addDependency( toDependency( "jdom:jdom:1.0::jar" ) );
      dep = toDependency( "jaxen:jaxen:1.1-beta-8::jar" );
      addExclusion( dep, "dom4j:dom4j" );
      addExclusion( dep, "xerces:xmlParserAPIs" );
      addExclusion( dep, "xerces:xercesImpl" );
      addExclusion( dep, "xom:xom" );
      model.addDependency( dep );
      model.addDependency( toDependency( "org.apache.maven.shared:maven-plugin-testing-harness:1.0-beta-1::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-test:1.0-rc1::jar", "test" ) );
      model.addDependency( toDependency( "jmock:jmock-cglib:1.0.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven.release:maven-release:1" );
      model.setParentProject( toParent( "org.apache.maven:maven-parent:5" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-container-default:1.0-alpha-17" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-containers:1.0-alpha-17" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-17::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.3::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-7::jar" ) );
      model.addDependency( toDependency( "jmock:jmock:1.0.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-containers:1.0-alpha-17" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.9" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "compile" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-7::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-17::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.3::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-component-api:1.0-alpha-17" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-containers:1.0-alpha-17" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-classworlds:1.2-alpha-7::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-interactivity-api:1.0-alpha-6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-interactivity:1.0-alpha-6" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-interactivity:1.0-alpha-6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.9" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-model:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven:2.0" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-alpha-5::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-ssh:1.0-alpha-5::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-file:1.0-alpha-5::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-http-lightweight:1.0-alpha-5::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-provider-api:1.0-alpha-5" );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar", "compile" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-ssh:1.0-alpha-5" );
      model.addDependency( toDependency( "com.jcraft:jsch:0.1.23::jar", "compile" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar", "compile" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-alpha-5::jar", "compile" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar", "compile" ) );
      model.addDependency( toDependency( "classworlds:classworlds:1.1-alpha-2::jar", "compile" ) );
      model.addDependency( toDependency( "plexus:plexus-utils:1.0.2::jar", "compile" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-interactivity-api:1.0-alpha-4::jar", "compile" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-test:1.0-alpha-5::jar", "test" ) );
      addModel( model );

      model = toModel( "com.jcraft:jsch:0.1.23" );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-provider-test:1.0-alpha-5" );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-file:1.0-alpha-5" );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar", "compile" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-alpha-5::jar", "compile" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar", "test" ) );
      model.addDependency( toDependency( "classworlds:classworlds:1.1-alpha-2::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-test:1.0-alpha-5::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-http-lightweight:1.0-alpha-5" );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar", "compile" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-alpha-5::jar", "compile" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar", "test" ) );
      model.addDependency( toDependency( "servletapi:servletapi:2.3::jar", "test" ) );
      model.addDependency( toDependency( "classworlds:classworlds:1.1-alpha-2::jar", "test" ) );
      model.addDependency( toDependency( "jetty:jetty:4.2.10::jar", "test" ) );
      model.addDependency( toDependency( "plexus:plexus-jetty-httpd:1.0-beta-1::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-test:1.0-alpha-5::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-artifact:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-project:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact-test:2.0::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-profile:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-model:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact-manager:2.0::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact:2.0::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-artifact-test:2.0" );
      addModel( model );

      model = toModel( "org.apache.maven:maven-profile:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-model:2.0::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-artifact-manager:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-repository-metadata:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-file:1.0-alpha-5::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact:2.0::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-alpha-5::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-repository-metadata:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-settings:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-model:2.0::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-api:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm:1.0-rc1" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven:maven-parent:5" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-manager-plexus:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-managers:1.0-rc1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-managers:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm:1.0-rc1" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-api:1.0-rc1::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-bazaar:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-rc1" ) );
      model.addDependency( toDependency( "regexp:regexp:1.3::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-7::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-providers:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm:1.0-rc1" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-api:1.0-rc1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-test:1.0-rc1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-test:1.0-rc1" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-clearcase:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-rc1" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-cvsexe:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers-cvs:1.0-rc1" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvstest:1.0-rc1::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvs-commons:1.0-rc1::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-providers-cvs:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-rc1" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-cvstest:1.0-rc1" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-cvs-commons:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers-cvs:1.0-rc1" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvstest:1.0-rc1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-cvsjava:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers-cvs:1.0-rc1" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvs-commons:1.0-rc1::jar" ) );
      model.addDependency( toDependency( "org.netbeans.lib:cvsclient:20060125::jar" ) );
      model.addDependency( toDependency( "ch.ethz.ganymed:ganymed-ssh2:build210::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvstest:1.0-rc1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-hg:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-rc1" ) );
      model.addDependency( toDependency( "regexp:regexp:1.3::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-perforce:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-rc1" ) );
      model.addDependency( toDependency( "regexp:regexp:1.3::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-starteam:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-rc1" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-svnexe:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers-svn:1.0-rc1" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-svn-commons:1.0-rc1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-svntest:1.0-rc1::jar", "test" ) );
      model.addDependency( toDependency( "regexp:regexp:1.3::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-providers-svn:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-rc1" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-svn-commons:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers-svn:1.0-rc1" ) );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-svntest:1.0-rc1" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-synergy:1.0-rc1" );
      model.setParentProject( toParent( "org.apache.maven.scm:maven-scm-providers:1.0-rc1" ) );
      addModel( model );

      model = toModel( "jaxen:jaxen:1.1-beta-8" );
      model.addDependency( toDependency( "dom4j:dom4j:1.6.1::jar" ) );
      model.addDependency( toDependency( "jdom:jdom:1.0::jar" ) );
      model.addDependency( toDependency( "xerces:xmlParserAPIs:2.6.2::jar" ) );
      model.addDependency( toDependency( "xerces:xercesImpl:2.6.2::jar" ) );
      model.addDependency( toDependency( "xom:xom:1.0b3::jar" ) );
      addModel( model );

      model = toModel( "dom4j:dom4j:1.6.1" );
      dep = toDependency( "jaxme:jaxme-api:0.3::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "jaxen:jaxen:1.1-beta-6::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "msv:xsdlib:20030807::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "msv:relaxngDatatype:20030807::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "pull-parser:pull-parser:2::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "xpp3:xpp3:1.1.3.3::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "stax:stax-api:1.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "xml-apis:xml-apis:1.0.b2::jar" ) );
      model.addDependency( toDependency( "junitperf:junitperf:1.8::jar", "test" ) );
      model.addDependency( toDependency( "stax:stax-ri:1.0::jar", "test" ) );
      model.addDependency( toDependency( "xerces:xercesImpl:2.6.2::jar", "test" ) );
      model.addDependency( toDependency( "xalan:xalan:2.5.1::jar", "test" ) );
      addModel( model );

      model = toModel( "jaxme:jaxme-api:0.3" );
      addModel( model );

      model = toModel( "jaxen:jaxen:1.1-beta-6" );
      addModel( model );

      model = toModel( "msv:xsdlib:20030807" );
      addModel( model );

      model = toModel( "msv:relaxngDatatype:20030807" );
      addModel( model );

      model = toModel( "pull-parser:pull-parser:2" );
      addModel( model );

      model = toModel( "xpp3:xpp3:1.1.3.3" );
      addModel( model );

      model = toModel( "stax:stax-api:1.0" );
      addModel( model );

      model = toModel( "junitperf:junitperf:1.8" );
      addModel( model );

      model = toModel( "stax:stax-ri:1.0" );
      addModel( model );

      model = toModel( "xerces:xercesImpl:2.6.2" );
      addModel( model );

      model = toModel( "xalan:xalan:2.5.1" );
      addModel( model );

      model = toModel( "xerces:xmlParserAPIs:2.6.2" );
      addModel( model );

      model = toModel( "xom:xom:1.0b3" );
      model.addDependency( toDependency( "xerces:xmlParserAPIs:2.6.1::jar" ) );
      model.addDependency( toDependency( "xerces:xercesImpl:2.2.1::jar" ) );
      model.addDependency( toDependency( "com.ibm.icu:icu4j:2.6.1::jar" ) );
      model.addDependency( toDependency( "xalan:xalan:2.6.0::jar" ) );
      model.addDependency( toDependency( "org.ccil.cowan.tagsoup:tagsoup:0.9.7::jar" ) );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      addModel( model );

      model = toModel( "xerces:xmlParserAPIs:2.6.1" );
      addModel( model );

      model = toModel( "xerces:xercesImpl:2.2.1" );
      addModel( model );

      model = toModel( "com.ibm.icu:icu4j:2.6.1" );
      addModel( model );

      model = toModel( "xalan:xalan:2.6.0" );
      model.addDependency( toDependency( "xml-apis:xml-apis:2.0.2::jar" ) );
      dep = toDependency( "xerces:xercesImpl:2.6.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      addModel( model );

      model = toModel( "org.ccil.cowan.tagsoup:tagsoup:0.9.7" );
      addModel( model );

      model = toModel( "javax.servlet:servlet-api:2.4" );
      addModel( model );

      model = toModel( "org.apache.maven.shared:maven-plugin-testing-harness:1.0-beta-1" );
      model.setParentProject( toParent( "org.apache.maven.shared:maven-shared-components:1" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-project:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-core:2.0::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.shared:maven-shared-components:1" );
      model.setParentProject( toParent( "org.apache.maven:maven-parent:1" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-parent:1" );
      model.setParentProject( toParent( "org.apache:apache:1" ) );
      addModel( model );

      model = toModel( "org.apache:apache:1" );
      addModel( model );

      model = toModel( "org.apache.maven:maven-core:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-settings:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-file:1.0-alpha-5::jar", "runtime" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-plugin-parameter-documenter:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-http-lightweight:1.0-alpha-5::jar", "runtime" ) );
      model.addDependency( toDependency( "org.apache.maven.reporting:maven-reporting-api:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-profile:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-model:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-alpha-5::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-repository-metadata:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-error-diagnostics:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-project:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-plugin-registry:2.0::jar" ) );
      dep = toDependency( "commons-cli:commons-cli:1.0::jar" );
      addExclusion( dep, "commons-lang:commons-lang" );
      addExclusion( dep, "commons-logging:commons-logging" );
      model.addDependency( dep );
      model.addDependency( toDependency( "org.apache.maven:maven-plugin-api:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-plugin-descriptor:2.0::jar" ) );
      dep = toDependency( "org.codehaus.plexus:plexus-interactivity-api:1.0-alpha-4::jar" );
      addExclusion( dep, "plexus:plexus-utils" );
      addExclusion( dep, "org.codehaus.plexus:plexus-container-default" );
      model.addDependency( dep );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact-manager:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-monitor:2.0::jar" ) );
      dep = toDependency( "org.apache.maven.wagon:wagon-ssh:1.0-alpha-5::jar", "runtime" );
      addExclusion( dep, "plexus:plexus-utils" );
      addExclusion( dep, "org.codehaus.plexus:plexus-container-default" );
      model.addDependency( dep );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-plugin-parameter-documenter:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.reporting:maven-reporting-api:2.0" );
      model.setParentProject( toParent( "org.apache.maven.reporting:maven-reporting:2.0" ) );
      dep = toDependency( "doxia:doxia-sink-api:1.0-alpha-4::jar" );
      addExclusion( dep, "plexus:plexus-container-default" );
      addExclusion( dep, "plexus:plexus-utils" );
      model.addDependency( dep );
      addModel( model );

      model = toModel( "org.apache.maven.reporting:maven-reporting:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      addModel( model );

      model = toModel( "doxia:doxia-sink-api:1.0-alpha-4" );
      addModel( model );

      model = toModel( "org.apache.maven:maven-error-diagnostics:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-plugin-registry:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-plugin-api:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-plugin-descriptor:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-plugin-api:2.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact:2.0::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-monitor:2.0" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0" ) );
      addModel( model );

      model = toModel( "jmock:jmock-cglib:1.0.1" );
      model.addDependency( toDependency( "jmock:jmock:1.0.1::jar" ) );
      model.addDependency( toDependency( "cglib:cglib-full:2.0::jar" ) );
      addModel( model );

      model = toModel( "cglib:cglib-full:2.0" );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-security:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-parent:1.1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac-role-manager:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-rbac:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1-SNAPSHOT::jar" ) );
      dep = toDependency( "net.java.dev.stax-utils:stax-utils:20060502::jar" );
      addExclusion( dep, "com.bea.xml:jsr173-ri" );
      model.addDependency( dep );
      model.addDependency( toDependency( "stax:stax-api:1.0.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.woodstox:wstx-asl:3.2.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-memory:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-jdo:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-common-jdo:1.0-alpha-1-SNAPSHOT::jar" ) );
      dep = toDependency( "net.java.dev.stax-utils:stax-utils:20060502::jar" );
      addExclusion( dep, "com.bea.xml:jsr173-ri" );
      model.addDependency( dep );
      model.addDependency( toDependency( "stax:stax-api:1.0.1::jar" ) );
      dep = toDependency( "stax:stax:1.1.1-dev::jar", "test" );
      addExclusion( dep, "xmlbeans:xmlbeans-jsr173-api" );
      model.addDependency( dep );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.8.0.4::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.10" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-20::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-20::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-configuration:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-common-jdo:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-authentication-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-keys-tests:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-keys-cached:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-keys-memory:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-keys-jdo:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-authentication-users:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-authentication-=keys=:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-authentication-memory:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-authentication-keys:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-authorization-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-users-jdo:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-users-memory:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-users-cached:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-users-tests:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-authorization-rbac:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-tests:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-memory:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-cached:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-jdo:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-role-manager:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-xwork-integration:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-taglib:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-xwork-content:1.0-alpha-1-SNAPSHOT::war" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-xwork-integration:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-20::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-20::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.2::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-ehcache:1.0-alpha-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-mail-sender-api:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-mail-sender-javamail:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-expression-evaluator:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar", "test" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-xwork-integration:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "xalan:xalan:2.7.0::jar" ) );
      model.addDependencyManagement( toDependency( "xml-apis:xml-apis:1.3.03::jar" ) );
      model.addDependencyManagement( toDependency( "commons-lang:commons-lang:2.2::jar" ) );
      model.addDependencyManagement( toDependency( "commons-collections:commons-collections:3.2::jar" ) );
      model.addDependencyManagement( toDependency( "commons-logging:commons-logging:1.0.4::jar" ) );
      model.addDependencyManagement( toDependency( "hsqldb:hsqldb:1.8.0.4::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.derby:derby:10.1.3.1::jar" ) );
      model.addProperty( "security.version", "1.0-alpha-1-SNAPSHOT" );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-configuration:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-expression-evaluator:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.registry:plexus-registry-commons:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-expression-evaluator:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.7" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.registry:plexus-registry-commons:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.registry:plexus-registry-providers:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.registry:plexus-registry-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.registry:plexus-registry-test:1.0-alpha-1::jar" ) );
      dep = toDependency( "commons-configuration:commons-configuration:1.3::jar" );
      addExclusion( dep, "commons-beanutils:commons-beanutils-core" );
      addExclusion( dep, "xerces:xerces" );
      addExclusion( dep, "xerces:xercesImpl" );
      addExclusion( dep, "xalan:xalan" );
      addExclusion( dep, "xml-apis:xml-apis" );
      addExclusion( dep, "servletapi:servletapi" );
      model.addDependency( dep );
      model.addDependency( toDependency( "commons-beanutils:commons-beanutils:1.7.0::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.registry:plexus-registry-providers:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.registry:plexus-registry:1.0-alpha-1" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.registry:plexus-registry:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.9" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-17::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.registry:plexus-registry-api:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.registry:plexus-registry-test:1.0-alpha-1::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.registry:plexus-registry-api:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.registry:plexus-registry:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-17::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.registry:plexus-registry-test:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.registry:plexus-registry:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.registry:plexus-registry-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-17::jar" ) );
      addModel( model );

      model = toModel( "commons-configuration:commons-configuration:1.3" );
      model.addDependency( toDependency( "commons-collections:commons-collections:3.1::jar" ) );
      model.addDependency( toDependency( "commons-lang:commons-lang:2.1::jar" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging-api:1.0.4::jar" ) );
      model.addDependency( toDependency( "commons-digester:commons-digester:1.6::jar" ) );
      model.addDependency( toDependency( "commons-beanutils:commons-beanutils-core:1.7.0::jar" ) );
      model.addDependency( toDependency( "commons-codec:commons-codec:1.3::jar" ) );
      model.addDependency( toDependency( "commons-jxpath:commons-jxpath:1.2::jar" ) );
      model.addDependency( toDependency( "xerces:xerces:2.2.1::jar" ) );
      model.addDependency( toDependency( "xalan:xalan:2.7.0::jar" ) );
      model.addDependency( toDependency( "xml-apis:xml-apis:2.0.2::jar" ) );
      dep = toDependency( "servletapi:servletapi:2.4::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "spice:spice-jndikit:1.1::jar", "test" ) );
      model.addDependency( toDependency( "commons-dbcp:commons-dbcp:1.1::jar", "test" ) );
      model.addDependency( toDependency( "commons-pool:commons-pool:1.1::jar", "test" ) );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.7.2.2::jar", "test" ) );
      model.addDependency( toDependency( "dbunit:dbunit:2.1::jar", "test" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependency( toDependency( "junit-addons:junit-addons:1.4::jar", "test" ) );
      model.addDependency( toDependency( "mockobjects:mockobjects-core:0.09::jar", "test" ) );
      model.addDependency( toDependency( "mockobjects:mockobjects-jdk1.4-j2ee1.3:0.09::jar", "test" ) );
      addModel( model );

      model = toModel( "commons-lang:commons-lang:2.1" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "commons-logging:commons-logging-api:1.0.4" );
      addModel( model );

      model = toModel( "commons-digester:commons-digester:1.6" );
      model.addDependency( toDependency( "commons-beanutils:commons-beanutils:1.6::jar" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0::jar" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:2.1::jar" ) );
      model.addDependency( toDependency( "xml-apis:xml-apis:1.0.b2::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "commons-beanutils:commons-beanutils:1.6" );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0::jar" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:2.0::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.7::jar", "test" ) );
      addModel( model );

      model = toModel( "commons-beanutils:commons-beanutils-core:1.7.0" );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0::jar" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:2.0::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.7::jar", "test" ) );
      addModel( model );

      model = toModel( "commons-codec:commons-codec:1.3" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "commons-jxpath:commons-jxpath:1.2" );
      model.addDependency( toDependency( "xerces:xerces:1.2.3::jar" ) );
      model.addDependency( toDependency( "servletapi:servletapi:2.2::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.8::jar" ) );
      model.addDependency( toDependency( "ant:ant-optional:1.5.1::jar" ) );
      model.addDependency( toDependency( "xml-apis:xml-apis:2.0.2::jar" ) );
      model.addDependency( toDependency( "jdom:jdom:b9::jar" ) );
      model.addDependency( toDependency( "commons-beanutils:commons-beanutils:1.4::jar" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0::jar" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:2.0::jar" ) );
      addModel( model );

      model = toModel( "xerces:xerces:1.2.3" );
      addModel( model );

      model = toModel( "servletapi:servletapi:2.2" );
      model.setRelocation( new VersionedReference() );
      model.getRelocation().setGroupId( "javax.servlet" );
      model.getRelocation().setArtifactId( "servlet-api" );
      model.getRelocation().setVersion( "2.2" );
      addModel( model );

      model = toModel( "javax.servlet:servlet-api:2.2" );
      addModel( model );

      model = toModel( "junit:junit:3.8" );
      addModel( model );

      model = toModel( "ant:ant-optional:1.5.1" );
      addModel( model );

      model = toModel( "jdom:jdom:b9" );
      addModel( model );

      model = toModel( "commons-beanutils:commons-beanutils:1.4" );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0::jar" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:2.0::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.7::jar", "test" ) );
      addModel( model );

      model = toModel( "xerces:xerces:2.2.1" );
      addModel( model );

      model = toModel( "xalan:xalan:2.7.0" );
      model.addDependency( toDependency( "xml-apis:xml-apis:2.0.2::jar" ) );
      dep = toDependency( "xerces:xercesImpl:2.6.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      addModel( model );

      model = toModel( "servletapi:servletapi:2.4" );
      addModel( model );

      model = toModel( "spice:spice-jndikit:1.1" );
      addModel( model );

      model = toModel( "commons-dbcp:commons-dbcp:1.1" );
      addModel( model );

      model = toModel( "commons-pool:commons-pool:1.1" );
      addModel( model );

      model = toModel( "hsqldb:hsqldb:1.7.2.2" );
      addModel( model );

      model = toModel( "dbunit:dbunit:2.1" );
      addModel( model );

      model = toModel( "junit-addons:junit-addons:1.4" );
      addModel( model );

      model = toModel( "mockobjects:mockobjects-core:0.09" );
      addModel( model );

      model = toModel( "mockobjects:mockobjects-jdk1.4-j2ee1.3:0.09" );
      addModel( model );

      model = toModel( "commons-beanutils:commons-beanutils:1.7.0" );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.3::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-logging:1.0.2" ) );
      model.addDependency( toDependency( "log4j:log4j:1.2.8::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-logging-provider-test:1.0-alpha-2::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-logging:1.0.2" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.4" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-logging-provider-test:1.0-alpha-2" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-logging:1.0.2" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-configuration:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authentication-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authorization-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-cached:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-cached:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authentication-memory:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authentication-api:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authentication:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authentication:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-users:1.0-alpha-1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-users:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-configuration:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authorization-api:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authorization:1.0-alpha-1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authorization:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-users-cached:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-users-providers:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-ehcache:1.0-alpha-2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-jdo:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-tests:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-memory:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-users-providers:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-users:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-ehcache:1.0-alpha-2" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.7" ) );
      model.addDependency( toDependency( "net.sf.ehcache:ehcache:1.2.4::jar" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:3.2::jar" ) );
      addModel( model );

      model = toModel( "net.sf.ehcache:ehcache:1.2.4" );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.4::jar", "compile" ) );
      dep = toDependency( "org.hibernate:hibernate:3.2.0.cr3::jar", "test" );
      addExclusion( dep, "javax.transaction:jta" );
      addExclusion( dep, "javax.security:jacc" );
      model.addDependency( dep );
      dep = toDependency( "net.sf.hibernate:hibernate:2.1.8::jar", "test" );
      addExclusion( dep, "javax.transaction:jta" );
      addExclusion( dep, "javax.security:jacc" );
      model.addDependency( dep );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "test" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependency( toDependency( "httpunit:httpunit:1.6::jar", "test" ) );
      model.addDependency( toDependency( "commons-httpclient:commons-httpclient:3.0.1::jar", "test" ) );
      model.addDependency( toDependency( "com.cenqua.clover:clover:1.3.13::jar", "test" ) );
      model.addDependency( toDependency( "checkstyle:checkstyle:4.1::jar", "test" ) );
      model.addDependency( toDependency( "checkstyle:checkstyle-optional:4.1::jar", "test" ) );
      model.addDependency( toDependency( "commons-httpclient:commons-httpclient:3.0.1::jar", "test" ) );
      model.addDependency( toDependency( "httpunit:httpunit:1.6.1::jar", "test" ) );
      model.addDependency( toDependency( "httpunit:httpunit:1.6.1::jar", "test" ) );
      model.addProperty( "licenseFile", "${basedir}/tools/clover.license" );
      addModel( model );

      model = toModel( "org.hibernate:hibernate:3.2.0.cr3" );
      addModel( model );

      model = toModel( "net.sf.hibernate:hibernate:2.1.8" );
      addModel( model );

      model = toModel( "httpunit:httpunit:1.6" );
      model.addDependency( toDependency( "xerces:xmlParserAPIs:2.2.1::jar" ) );
      model.addDependency( toDependency( "xerces:xercesImpl:2.6.2::jar" ) );
      model.addDependency( toDependency( "nekohtml:nekohtml:0.9.1::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar" ) );
      model.addDependency( toDependency( "rhino:js:1.5R4.1::jar" ) );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.3::jar" ) );
      model.addDependency( toDependency( "jtidy:jtidy:4aug2000r7-dev::jar" ) );
      model.addDependency( toDependency( "javax.activation:activation:1.0.2::jar", "test" ) );
      model.addDependency( toDependency( "javax.mail:mail:1.3.1::jar", "test" ) );
      addModel( model );

      model = toModel( "xerces:xmlParserAPIs:2.2.1" );
      addModel( model );

      model = toModel( "nekohtml:nekohtml:0.9.1" );
      model.addDependency( toDependency( "xerces:xerces:2.4.0::jar" ) );
      addModel( model );

      model = toModel( "rhino:js:1.5R4.1" );
      addModel( model );

      model = toModel( "javax.activation:activation:1.0.2" );
      addModel( model );

      model = toModel( "javax.mail:mail:1.3.1" );
      model.addDependency( toDependency( "javax.activation:activation:1.0.2::jar", "compile" ) );
      addModel( model );

      model = toModel( "commons-httpclient:commons-httpclient:3.0.1" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.3::jar" ) );
      model.addDependency( toDependency( "commons-codec:commons-codec:1.2::jar" ) );
      addModel( model );

      model = toModel( "commons-codec:commons-codec:1.2" );
      addModel( model );

      model = toModel( "com.cenqua.clover:clover:1.3.13" );
      addModel( model );

      model = toModel( "checkstyle:checkstyle:4.1" );
      model.addDependency( toDependency( "antlr:antlr:2.7.2::jar" ) );
      model.addDependency( toDependency( "commons-beanutils:commons-beanutils-core:1.7.0::jar" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:2.1::jar" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.3::jar" ) );
      addModel( model );

      model = toModel( "antlr:antlr:2.7.2" );
      addModel( model );

      model = toModel( "checkstyle:checkstyle-optional:4.1" );
      model.addDependency( toDependency( "checkstyle:checkstyle:4.1::jar" ) );
      addModel( model );

      model = toModel( "httpunit:httpunit:1.6.1" );
      addModel( model );

      model = toModel( "commons-collections:commons-collections:3.2" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-users-jdo:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-users-providers:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-common-jdo:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-tests:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.8.0.4::jar", "test" ) );
      dep = toDependency( "net.java.dev.stax-utils:stax-utils:20060502::jar" );
      addExclusion( dep, "com.bea.xml:jsr173-ri" );
      model.addDependency( dep );
      model.addDependency( toDependency( "stax:stax-api:1.0.1::jar" ) );
      model.addDependency( toDependency( "woodstox:wstx-asl:3.2.0::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-utils:1.2" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.5" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus:1.0.5" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-common-jdo:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-common:1.0-alpha-1-SNAPSHOT" ) );
      dep = toDependency( "org.codehaus.plexus:plexus-jdo2:1.0-alpha-8::jar" );
      addExclusion( dep, "xerces:xercesImpl" );
      addExclusion( dep, "xerces:xmlParserAPIs" );
      model.addDependency( dep );
      dep = toDependency( "jpox:jpox:1.1.7::jar", "compile" );
      addExclusion( dep, "javax.sql:jdbc-stdext" );
      model.addDependency( dep );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.8.0.4::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-configuration:1.0-alpha-1-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-common:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "hsqldb:hsqldb:1.8.0.4" );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-users-tests:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-users:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.2::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar" ) );
      addModel( model );

      model = toModel( "woodstox:wstx-asl:3.2.0" );
      model.setRelocation( new VersionedReference() );
      model.getRelocation().setGroupId( "org.codehaus.woodstox" );
      addModel( model );

      model = toModel( "org.codehaus.woodstox:wstx-asl:3.2.0" );
      model.addDependency( toDependency( "stax:stax-api:1.0.1::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-users-memory:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-users-providers:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-tests:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-keys:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-digest:1.0::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-keys:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-digest:1.0" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.7" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-keys-cached:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-keys-providers:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-ehcache:1.0-alpha-2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-jdo:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-tests:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-memory:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-keys-providers:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-keys:1.0-alpha-1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-keys-jdo:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-keys-providers:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-common-jdo:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-tests:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.8.0.4::jar", "test" ) );
      dep = toDependency( "net.java.dev.stax-utils:stax-utils:20060502::jar" );
      addExclusion( dep, "com.bea.xml:jsr173-ri" );
      model.addDependency( dep );
      model.addDependency( toDependency( "stax:stax-api:1.0.1::jar" ) );
      model.addDependency( toDependency( "woodstox:wstx-asl:3.2.0::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-keys-tests:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-keys:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-keys-memory:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-keys-providers:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-tests:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authentication-memory:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authentication-providers:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authentication-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authentication-providers:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authentication:1.0-alpha-1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authentication-users:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authentication-providers:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authentication-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-cached:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-memory:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authentication-=keys=:1.0-alpha-1-SNAPSHOT" );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authentication-keys:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authentication-providers:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authentication-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-cached:1.0-alpha-1-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authorization-rbac:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authorization-providers:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authorization-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-cached:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-cached:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authorization-providers:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authorization:1.0-alpha-1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac-cached:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-rbac-providers:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authorization-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-ehcache:1.0-alpha-2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-jdo:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-memory:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-tests:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac-providers:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-rbac:1.0-alpha-1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-rbac:1.0-alpha-1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac-jdo:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-rbac-providers:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-tests:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-common-jdo:1.0-alpha-1-SNAPSHOT::jar" ) );
      dep = toDependency( "net.java.dev.stax-utils:stax-utils:20060502::jar" );
      addExclusion( dep, "com.bea.xml:jsr173-ri" );
      model.addDependency( dep );
      model.addDependency( toDependency( "stax:stax-api:1.0.1::jar" ) );
      dep = toDependency( "stax:stax:1.1.1-dev::jar", "test" );
      addExclusion( dep, "xmlbeans:xmlbeans-jsr173-api" );
      model.addDependency( dep );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.8.0.4::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac-tests:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-rbac:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authorization-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar" ) );
      addModel( model );

      model = toModel( "stax:stax:1.1.1-dev" );
      model.addDependency( toDependency( "xmlbeans:xmlbeans-jsr173-api:2.0-dev::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar" ) );
      addModel( model );

      model = toModel( "xmlbeans:xmlbeans-jsr173-api:2.0-dev" );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac-memory:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-rbac-providers:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authorization-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-tests:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-xwork-integration:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-xwork:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-configuration:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authentication-users:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authentication-keys:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authorization-rbac:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-role-manager:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-xwork-integration:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-mail-sender-api:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-mail-sender-javamail:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "org.extremecomponents:extremecomponents:1.0.1::jar" ) );
      model.addDependency( toDependency( "commons-beanutils:commons-beanutils-bean-collections:1.7.0::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.2::jar" ) );
      dep = toDependency( "org.codehaus.plexus:plexus-velocity:1.1.2::jar" );
      addExclusion( dep, "plexus:plexus-utils" );
      addExclusion( dep, "commons-logging:commons-logging-api" );
      model.addDependency( dep );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      model.addDependency( toDependency( "taglibs:standard:1.1.2::jar" ) );
      model.addDependency( toDependency( "javax.servlet:jstl:1.1.2::jar" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:3.2::jar" ) );
      model.addDependency( toDependency( "commons-lang:commons-lang:2.2::jar" ) );
      model.addDependency( toDependency( "opensymphony:sitemesh:2.2.1::jar" ) );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.8.0.4::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-memory:1.0-alpha-1-SNAPSHOT::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-xwork:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-integrations:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependencyManagement( toDependency( "taglibs:standard:1.1.2::jar" ) );
      model.addDependencyManagement( toDependency( "javax.servlet:jstl:1.1.2::jar" ) );
      model.addDependencyManagement( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      model.addDependencyManagement( toDependency( "javax.servlet:jsp-api:2.0::jar", "provided" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-integrations:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "taglibs:standard:1.1.2" );
      addModel( model );

      model = toModel( "javax.servlet:jstl:1.1.2" );
      model.addDependency( toDependency( "javax.servlet:jsp-api:2.0::jar", "provided" ) );
      addModel( model );

      model = toModel( "javax.servlet:jsp-api:2.0" );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "compile" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-xwork-integration:1.0-alpha-6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.12" ) );
      model.addDependency( toDependency( "org.easymock:easymock:2.2::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-17::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-17::jar" ) );
      model.addDependency( toDependency( "opensymphony:xwork:1.2.1::jar" ) );
      model.addDependency( toDependency( "opensymphony:webwork:2.2.4::jar" ) );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-components:1.1.12" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.10" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-20::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-20::jar", "test" ) );
      addModel( model );

      model = toModel( "org.easymock:easymock:2.2" );
      addModel( model );

      model = toModel( "opensymphony:xwork:1.2.1" );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.4::jar" ) );
      model.addDependency( toDependency( "org.rifers:rife-continuations:0.0.2::jar" ) );
      model.addDependency( toDependency( "opensymphony:oscore:2.2.4::jar" ) );
      model.addDependency( toDependency( "ognl:ognl:2.6.7::jar" ) );
      dep = toDependency( "org.springframework:spring-core:1.2.6::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "org.springframework:spring-aop:1.2.6::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "org.springframework:spring-beans:1.2.6::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "org.springframework:spring-context:1.2.6::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "org.springframework:spring-web:1.2.6::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "org.springframework:spring-mock:1.2.6::jar", "test" ) );
      dep = toDependency( "cglib:cglib:2.1::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "compile" ) );
      model.addDependency( toDependency( "mockobjects:mockobjects-core:0.09::jar", "test" ) );
      model.addDependency( toDependency( "easymock:easymock:1.2_Java1.3::jar", "test" ) );
      model.addDependency( toDependency( "easymock:easymockclassextension:1.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.rifers:rife-continuations:0.0.2" );
      addModel( model );

      model = toModel( "opensymphony:oscore:2.2.4" );
      addModel( model );

      model = toModel( "org.springframework:spring-core:1.2.6" );
      model.setParentProject( toParent( "org.springframework:spring-parent:1.2.6" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.4::jar" ) );
      dep = toDependency( "log4j:log4j:1.2.9::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "commons-collections:commons-collections:3.1::jar" ) );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      model.addDependency( toDependency( "xml-apis:xml-apis:1.0.b2::jar", "provided" ) );
      addModel( model );

      model = toModel( "org.springframework:spring-parent:1.2.6" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependencyManagement( toDependency( "commons-logging:commons-logging:1.0.4::jar" ) );
      dep = toDependency( "log4j:log4j:1.2.9::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "cglib:cglib:2.1_3::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "commons-attributes:commons-attributes-compiler:2.1::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "org.hibernate:hibernate:3.0.5::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "org.hibernate:hibernate-annotations:3.0beta2::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "struts:struts:1.2.7::jar" );
      addExclusion( dep, "servletapi:servletapi" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "jasperreports:jasperreports:1.0.3::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "freemarker:freemarker:2.3.4::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      model.addDependencyManagement( toDependency( "javax.servlet:jsp-api:2.0::jar", "provided" ) );
      model.addDependencyManagement( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      model.addDependencyManagement( toDependency( "aopalliance:aopalliance:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "oro:oro:2.0.8::jar" ) );
      dep = toDependency( "commons-pool:commons-pool:1.2::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "com.jamonapi:jamon:1.0::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      model.addDependencyManagement( toDependency( "xdoclet:xjavadoc:1.1::jar" ) );
      model.addDependencyManagement( toDependency( "javax.mail:mail:1.3.2::jar" ) );
      dep = toDependency( "velocity:velocity:1.4::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      model.addDependencyManagement( toDependency( "commons-collections:commons-collections:3.1::jar" ) );
      model.addDependencyManagement( toDependency( "xml-apis:xml-apis:1.0.b2::jar", "provided" ) );
      model.addDependencyManagement( toDependency( "javax.transaction:jta:1.0.1B::jar" ) );
      dep = toDependency( "jotm:jotm:2.0.10::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "net.sf.hibernate:hibernate:2.1.8::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "c3p0:c3p0:0.9.0.2::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "commons-dbcp:commons-dbcp:1.2.1::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "com.experlog:xapool:1.5.0::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      model.addDependencyManagement( toDependency( "commons-lang:commons-lang:2.1::jar" ) );
      dep = toDependency( "com.oracle.toplink:toplink:10.1.3::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "ojb:db-ojb:1.0.3::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "javax.jdo:jdo:2.0-20050809.1515::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "com.ibatis:ibatis-sqlmap:1.3.1::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "com.ibatis:ibatis2-sqlmap:2.1.5.582::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "javax.jms:jms:1.1::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "javax.ejb:ejb:2.0::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "javax.xml:jaxrpc-api:1.1::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "commons-httpclient:commons-httpclient:3.0-rc4::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "com.caucho:burlap:2.1.12::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "com.caucho:hessian:2.1.12::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      model.addDependencyManagement( toDependency( "javax.resource:connector:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "ehcache:ehcache:1.1::jar" ) );
      model.addDependencyManagement( toDependency( "quartz:quartz:1.5.1::jar" ) );
      model.addDependencyManagement( toDependency( "com.servlets:cos:05Nov2002::jar" ) );
      model.addDependencyManagement( toDependency( "easymock:easymock:1.2_RC2_Java1.3::jar", "test" ) );
      model.addDependencyManagement( toDependency( "javax.servlet:jstl:1.0::jar" ) );
      model.addDependencyManagement( toDependency( "taglibs:standard:1.0.6::jar" ) );
      dep = toDependency( "javax.faces:jsf-api:1.1::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "velocity-tools:velocity-tools-generic:1.1::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "velocity-tools:velocity-tools-view:1.1::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "poi:poi:2.5.1-final-20040804::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "itext:itext:1.3::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      dep = toDependency( "net.sourceforge.jexcelapi:jxl:2.5.7::jar" );
      dep.setOptional( true );
      model.addDependencyManagement( dep );
      addModel( model );

      model = toModel( "log4j:log4j:1.2.9" );
      addModel( model );

      model = toModel( "cglib:cglib:2.1_3" );
      addModel( model );

      model = toModel( "commons-attributes:commons-attributes-compiler:2.1" );
      model.addDependency( toDependency( "commons-attributes:commons-attributes-api:2.1::jar" ) );
      addModel( model );

      model = toModel( "commons-attributes:commons-attributes-api:2.1" );
      model.addDependency( toDependency( "ant:ant:1.5::jar" ) );
      model.addDependency( toDependency( "qdox:qdox:1.5::jar" ) );
      addModel( model );

      model = toModel( "ant:ant:1.5" );
      addModel( model );

      model = toModel( "qdox:qdox:1.5" );
      addModel( model );

      model = toModel( "org.hibernate:hibernate:3.0.5" );
      addModel( model );

      model = toModel( "org.hibernate:hibernate-annotations:3.0beta2" );
      addModel( model );

      model = toModel( "struts:struts:1.2.7" );
      addModel( model );

      model = toModel( "jasperreports:jasperreports:1.0.3" );
      addModel( model );

      model = toModel( "freemarker:freemarker:2.3.4" );
      addModel( model );

      model = toModel( "aopalliance:aopalliance:1.0" );
      addModel( model );

      model = toModel( "oro:oro:2.0.8" );
      addModel( model );

      model = toModel( "com.jamonapi:jamon:1.0" );
      addModel( model );

      model = toModel( "xdoclet:xjavadoc:1.1" );
      addModel( model );

      model = toModel( "javax.mail:mail:1.3.2" );
      model.addDependency( toDependency( "javax.activation:activation:1.0.2::jar", "compile" ) );
      addModel( model );

      model = toModel( "jotm:jotm:2.0.10" );
      addModel( model );

      model = toModel( "c3p0:c3p0:0.9.0.2" );
      addModel( model );

      model = toModel( "commons-dbcp:commons-dbcp:1.2.1" );
      model.addDependency( toDependency( "commons-collections:commons-collections:2.1::jar" ) );
      model.addDependency( toDependency( "commons-pool:commons-pool:1.2::jar" ) );
      dep = toDependency( "javax.sql:jdbc-stdext:2.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependency( toDependency( "xml-apis:xml-apis:2.0.2::jar" ) );
      model.addDependency( toDependency( "xerces:xerces:2.0.2::jar" ) );
      addModel( model );

      model = toModel( "com.experlog:xapool:1.5.0" );
      addModel( model );

      model = toModel( "com.oracle.toplink:toplink:10.1.3" );
      addModel( model );

      model = toModel( "ojb:db-ojb:1.0.3" );
      addModel( model );

      model = toModel( "javax.jdo:jdo:2.0-20050809.1515" );
      addModel( model );

      model = toModel( "com.ibatis:ibatis-sqlmap:1.3.1" );
      addModel( model );

      model = toModel( "com.ibatis:ibatis2-sqlmap:2.1.5.582" );
      addModel( model );

      model = toModel( "javax.jms:jms:1.1" );
      addModel( model );

      model = toModel( "javax.ejb:ejb:2.0" );
      addModel( model );

      model = toModel( "javax.xml:jaxrpc-api:1.1" );
      addModel( model );

      model = toModel( "commons-httpclient:commons-httpclient:3.0-rc4" );
      addModel( model );

      model = toModel( "com.caucho:burlap:2.1.12" );
      addModel( model );

      model = toModel( "com.caucho:hessian:2.1.12" );
      addModel( model );

      model = toModel( "ehcache:ehcache:1.1" );
      addModel( model );

      model = toModel( "quartz:quartz:1.5.1" );
      addModel( model );

      model = toModel( "com.servlets:cos:05Nov2002" );
      addModel( model );

      model = toModel( "easymock:easymock:1.2_RC2_Java1.3" );
      addModel( model );

      model = toModel( "javax.servlet:jstl:1.0" );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.3::jar", "provided" ) );
      addModel( model );

      model = toModel( "taglibs:standard:1.0.6" );
      addModel( model );

      model = toModel( "javax.faces:jsf-api:1.1" );
      addModel( model );

      model = toModel( "velocity-tools:velocity-tools-generic:1.1" );
      addModel( model );

      model = toModel( "velocity-tools:velocity-tools-view:1.1" );
      addModel( model );

      model = toModel( "poi:poi:2.5.1-final-20040804" );
      addModel( model );

      model = toModel( "itext:itext:1.3" );
      addModel( model );

      model = toModel( "net.sourceforge.jexcelapi:jxl:2.5.7" );
      addModel( model );

      model = toModel( "org.springframework:spring-aop:1.2.6" );
      model.setParentProject( toParent( "org.springframework:spring-parent:1.2.6" ) );
      model.addDependency( toDependency( "org.springframework:spring-beans:1.2.6::jar" ) );
      model.addDependency( toDependency( "aopalliance:aopalliance:1.0::jar" ) );
      model.addDependency( toDependency( "oro:oro:2.0.8::jar" ) );
      dep = toDependency( "commons-pool:commons-pool:1.2::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "commons-attributes:commons-attributes-compiler:2.1::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "com.jamonapi:jamon:1.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "cglib:cglib:2.1_3::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "xdoclet:xjavadoc:1.1::jar", "test" ) );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      addModel( model );

      model = toModel( "org.springframework:spring-beans:1.2.6" );
      model.setParentProject( toParent( "org.springframework:spring-parent:1.2.6" ) );
      model.addDependency( toDependency( "org.springframework:spring-core:1.2.6::jar" ) );
      dep = toDependency( "cglib:cglib:2.1_3::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      model.addDependency( toDependency( "javax.mail:mail:1.3.2::jar", "test" ) );
      model.addDependency( toDependency( "org.hibernate:hibernate:3.0.5::jar", "test" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.4::jar" ) );
      addModel( model );

      model = toModel( "org.springframework:spring-context:1.2.6" );
      model.setParentProject( toParent( "org.springframework:spring-parent:1.2.6" ) );
      model.addDependency( toDependency( "org.springframework:spring-aop:1.2.6::jar" ) );
      dep = toDependency( "velocity:velocity:1.4::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "freemarker:freemarker:2.3.4::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "jasperreports:jasperreports:1.0.3::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      addModel( model );

      model = toModel( "org.springframework:spring-web:1.2.6" );
      model.setParentProject( toParent( "org.springframework:spring-parent:1.2.6" ) );
      model.addDependency( toDependency( "javax.servlet:jsp-api:2.0::jar", "provided" ) );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      model.addDependency( toDependency( "javax.servlet:jstl:1.0::jar" ) );
      model.addDependency( toDependency( "org.springframework:spring-context:1.2.6::jar" ) );
      dep = toDependency( "log4j:log4j:1.2.9::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "struts:struts:1.2.7::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "com.servlets:cos:05Nov2002::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "taglibs:standard:1.0.6::jar" ) );
      dep = toDependency( "javax.faces:jsf-api:1.1::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      addModel( model );

      model = toModel( "org.springframework:spring-mock:1.2.6" );
      model.setParentProject( toParent( "org.springframework:spring-parent:1.2.6" ) );
      dep = toDependency( "org.springframework:spring-jdbc:1.2.6::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "org.springframework:spring-web:1.2.6::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "javax.servlet:jsp-api:2.0::jar", "provided" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "compile" ) );
      addModel( model );

      model = toModel( "org.springframework:spring-jdbc:1.2.6" );
      addModel( model );

      model = toModel( "cglib:cglib:2.1" );
      model.addDependency( toDependency( "asm:asm:1.5.3::jar" ) );
      model.addDependency( toDependency( "asm:asm-util:1.3.4::jar" ) );
      model.addDependency( toDependency( "aspectwerkz:aspectwerkz-core:0.8.1::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.7::jar", "test" ) );
      addModel( model );

      model = toModel( "asm:asm:1.5.3" );
      addModel( model );

      model = toModel( "asm:asm-util:1.3.4" );
      addModel( model );

      model = toModel( "aspectwerkz:aspectwerkz-core:0.8.1" );
      addModel( model );

      model = toModel( "easymock:easymockclassextension:1.1" );
      addModel( model );

      model = toModel( "opensymphony:webwork:2.2.4" );
      model.addDependency( toDependency( "opensymphony:xwork:1.2.1::jar" ) );
      dep = toDependency( "opensymphony:xwork-tiger:1.2.1::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "freemarker:freemarker:2.3.4::jar" ) );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      model.addDependency( toDependency( "javax.servlet:jsp-api:2.0::jar", "provided" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.4::jar" ) );
      dep = toDependency( "commons-lang:commons-lang:2.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "dwr:dwr:1.1-beta-3::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "velocity:velocity:1.4::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "velocity-tools:velocity-tools:1.1::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "commons-fileupload:commons-fileupload:1.1.1::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "servlets.com:cos:05Nov2002::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "opensymphony:pell-multipart:2.1.5::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "opensymphony:sitemesh:2.2.1::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "jetty:org.mortbay.jetty:5.1.4::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "eclipse:jdtcore:3.1.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "jasperreports:jasperreports:1.1.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "jfree:jfreechart:1.0.0::jar" );
      addExclusion( dep, "gnujaxp:gnujaxp" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "org.apache.struts.tiles:tiles-core:0.2-SNAPSHOT::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "commons-digester:commons-digester:1.7::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "portlet-api:portlet-api:1.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "org.apache.pluto:pluto:1.0.1-rc4::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-10-SNAPSHOT::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "picocontainer:picocontainer:1.2::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "picocontainer:picocontainer-gems:1.2::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "nanocontainer:nanocontainer:1.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "nanocontainer:nanocontainer-nanowar:1.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "org.springframework:spring-beans:1.2::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "org.springframework:spring-core:1.2::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "org.springframework:spring-context:1.2::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "org.springframework:spring-web:1.2::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "org.springframework:spring-mock:1.2::jar", "compile" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "xpp3:xpp3:1.1.3.4-RC8::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "junit:junit:3.8.1::jar", "compile" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "jmock:jmock:1.0.1::jar", "test" ) );
      model.addDependency( toDependency( "easymock:easymock:1.2_Java1.3::jar", "test" ) );
      model.addDependency( toDependency( "easymock:easymockclassextension:1.1::jar", "test" ) );
      model.addDependency( toDependency( "jmock:jmock-cglib:1.0.1::jar", "test" ) );
      model.addDependency( toDependency( "mockobjects:mockobjects-core:0.09::jar", "test" ) );
      model.addDependency( toDependency( "mockobjects:mockobjects-jdk1.3:0.09::jar", "test" ) );
      model.addDependency( toDependency( "mockobjects:mockobjects-alt-jdk1.3:0.09::jar", "test" ) );
      model.addDependency( toDependency( "mockobjects:mockobjects-alt-jdk1.3-j2ee1.3:0.09::jar", "test" ) );
      model.addDependency( toDependency( "mockobjects:mockobjects-jdk1.3-j2ee1.3:0.09::jar", "test" ) );
      addModel( model );

      model = toModel( "opensymphony:xwork-tiger:1.2.1" );
      addModel( model );

      model = toModel( "commons-lang:commons-lang:2.0" );
      model.addDependency( toDependency( "junit:junit:3.7::jar", "test" ) );
      addModel( model );

      model = toModel( "dwr:dwr:1.1-beta-3" );
      addModel( model );

      model = toModel( "velocity-tools:velocity-tools:1.1" );
      addModel( model );

      model = toModel( "commons-fileupload:commons-fileupload:1.1.1" );
      addModel( model );

      model = toModel( "servlets.com:cos:05Nov2002" );
      addModel( model );

      model = toModel( "opensymphony:pell-multipart:2.1.5" );
      addModel( model );

      model = toModel( "opensymphony:sitemesh:2.2.1" );
      addModel( model );

      model = toModel( "jetty:org.mortbay.jetty:5.1.4" );
      addModel( model );

      model = toModel( "eclipse:jdtcore:3.1.0" );
      addModel( model );

      model = toModel( "jasperreports:jasperreports:1.1.0" );
      addModel( model );

      model = toModel( "jfree:jfreechart:1.0.0" );
      addModel( model );

      model = toModel( "org.apache.struts.tiles:tiles-core:0.2-SNAPSHOT" );
      addModel( model );

      model = toModel( "commons-digester:commons-digester:1.7" );
      model.addDependency( toDependency( "commons-beanutils:commons-beanutils:1.6::jar" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0::jar" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:2.1::jar" ) );
      model.addDependency( toDependency( "xml-apis:xml-apis:1.0.b2::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "portlet-api:portlet-api:1.0" );
      addModel( model );

      model = toModel( "org.apache.pluto:pluto:1.0.1-rc4" );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-container-default:1.0-alpha-10-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-containers:1.0.6-SNAPSHOT" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "compile" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.2::jar" ) );
      model.addDependency( toDependency( "classworlds:classworlds:1.1::jar" ) );
      model.addDependency( toDependency( "jmock:jmock:1.0.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-containers:1.0.6-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.8-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus:1.0.8-SNAPSHOT" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "picocontainer:picocontainer:1.2" );
      addModel( model );

      model = toModel( "picocontainer:picocontainer-gems:1.2" );
      addModel( model );

      model = toModel( "nanocontainer:nanocontainer:1.0" );
      addModel( model );

      model = toModel( "nanocontainer:nanocontainer-nanowar:1.0" );
      addModel( model );

      model = toModel( "org.springframework:spring-beans:1.2" );
      addModel( model );

      model = toModel( "org.springframework:spring-core:1.2" );
      addModel( model );

      model = toModel( "org.springframework:spring-context:1.2" );
      addModel( model );

      model = toModel( "org.springframework:spring-web:1.2" );
      addModel( model );

      model = toModel( "org.springframework:spring-mock:1.2" );
      addModel( model );

      model = toModel( "xpp3:xpp3:1.1.3.4-RC8" );
      addModel( model );

      model = toModel( "mockobjects:mockobjects-jdk1.3:0.09" );
      addModel( model );

      model = toModel( "mockobjects:mockobjects-alt-jdk1.3:0.09" );
      addModel( model );

      model = toModel( "mockobjects:mockobjects-alt-jdk1.3-j2ee1.3:0.09" );
      addModel( model );

      model = toModel( "mockobjects:mockobjects-jdk1.3-j2ee1.3:0.09" );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-mail-sender-javamail:1.0-alpha-6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-mail-senders:1.0-alpha-6" ) );
      model.addDependency( toDependency( "javax.mail:mail:1.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-mail-sender-test:1.0-alpha-6::jar", "test" ) );
      dep = toDependency( "org.codehaus.plexus:plexus-naming:1.0-alpha-1::jar", "test" );
      addExclusion( dep, "geronimo-spec:geronimo-spec-javamail" );
      model.addDependency( dep );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-mail-senders:1.0-alpha-6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-mail-sender:1.0-alpha-6" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-mail-sender-api:1.0-alpha-6::jar" ) );
      addModel( model );

      model = toModel( "javax.mail:mail:1.4" );
      model.addDependency( toDependency( "javax.activation:activation:1.1::jar" ) );
      addModel( model );

      model = toModel( "javax.activation:activation:1.1" );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-mail-sender-test:1.0-alpha-6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-mail-senders:1.0-alpha-6" ) );
      model.addDependency( toDependency( "dumbster:dumbster:1.5::jar" ) );
      addModel( model );

      model = toModel( "dumbster:dumbster:1.5" );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-naming:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.6" ) );
      model.addDependency( toDependency( "directory-naming:naming-core:0.8::jar" ) );
      model.addDependency( toDependency( "directory-naming:naming-java:0.8::jar" ) );
      model.addDependency( toDependency( "directory-naming:naming-factory:0.8::jar" ) );
      model.addDependency( toDependency( "commons-dbcp:commons-dbcp:1.2.1::jar" ) );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.7.1::jar", "test" ) );
      addModel( model );

      model = toModel( "directory-naming:naming-core:0.8" );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.3::jar" ) );
      addModel( model );

      model = toModel( "directory-naming:naming-java:0.8" );
      model.addDependency( toDependency( "directory-naming:naming-core:0.8::jar" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.3::jar" ) );
      addModel( model );

      model = toModel( "directory-naming:naming-factory:0.8" );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.3::jar" ) );
      model.addDependency( toDependency( "directory-naming:naming-core:0.8::jar" ) );
      model.addDependency( toDependency( "geronimo-spec:geronimo-spec-javamail:1.3.1-rc1::jar" ) );
      addModel( model );

      model = toModel( "geronimo-spec:geronimo-spec-javamail:1.3.1-rc1" );
      addModel( model );

      model = toModel( "hsqldb:hsqldb:1.7.1" );
      addModel( model );

      model = toModel( "org.extremecomponents:extremecomponents:1.0.1" );
      dep = toDependency( "avalon-framework:avalon-framework:4.0::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "batik:batik:1.5-fop-0.20-5::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "commons-beanutils:commons-beanutils:1.7.0::jar" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:3.0::jar" ) );
      model.addDependency( toDependency( "commons-lang:commons-lang:2.0::jar" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.4::jar" ) );
      dep = toDependency( "fop:fop:0.20.5::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      dep = toDependency( "poi:poi:2.5.1::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      model.addDependency( toDependency( "servletapi:servletapi:2.3::jar", "provided" ) );
      model.addDependency( toDependency( "taglibs:standard:1.0.2::jar" ) );
      dep = toDependency( "xalan:xalan:2.5.1::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "xerces:xercesImpl:2.6.1::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      dep = toDependency( "xml-apis:xml-apis:2.0.2::jar" );
      dep.setOptional( true );
      model.addDependency( dep );
      addModel( model );

      model = toModel( "avalon-framework:avalon-framework:4.0" );
      addModel( model );

      model = toModel( "batik:batik:1.5-fop-0.20-5" );
      addModel( model );

      model = toModel( "commons-collections:commons-collections:3.0" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "fop:fop:0.20.5" );
      addModel( model );

      model = toModel( "poi:poi:2.5.1" );
      model.setRelocation( new VersionedReference() );
      model.getRelocation().setGroupId( "poi" );
      model.getRelocation().setArtifactId( "poi" );
      model.getRelocation().setVersion( "2.5.1-final-20040804" );
      addModel( model );

      model = toModel( "taglibs:standard:1.0.2" );
      addModel( model );

      model = toModel( "xerces:xercesImpl:2.6.1" );
      addModel( model );

      model = toModel( "commons-beanutils:commons-beanutils-bean-collections:1.7.0" );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-velocity:1.1.2" );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-7::jar", "compile" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependency( toDependency( "classworlds:classworlds:1.1-alpha-2::jar", "compile" ) );
      model.addDependency( toDependency( "plexus:plexus-utils:1.0.2::jar", "compile" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:2.0::jar", "compile" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging-api:1.0.4::jar", "compile" ) );
      model.addDependency( toDependency( "velocity:velocity:1.4::jar", "compile" ) );
      addModel( model );

      model = toModel( "commons-lang:commons-lang:2.2" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-taglib:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-integrations:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-xwork-integration:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "taglibs:standard:1.1.2::jar" ) );
      model.addDependency( toDependency( "javax.servlet:jstl:1.1.2::jar" ) );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      model.addDependency( toDependency( "javax.servlet:jsp-api:2.0::jar", "provided" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-xwork-content:1.0-alpha-1-SNAPSHOT" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-xwork:1.0-alpha-1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-xwork-integration:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-taglib:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.4::jar" ) );
      addModel( model );

      model = toModel( "xml-apis:xml-apis:1.3.03" );
      model.setParentProject( toParent( "org.apache:apache:1" ) );
      addModel( model );

      model = toModel( "org.apache.derby:derby:10.1.3.1" );
      addModel( model );

      model = toModel( "org.codehaus.woodstox:wstx-asl:3.2.1" );
      model.addDependency( toDependency( "stax:stax-api:1.0.1::jar" ) );
      addModel( model );

      model = toModel( "hsqldb:hsqldb:1.7.3.3" );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-test:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-parent:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-jdo2:1.0-alpha-8::jar" ) );
      model.addDependency( toDependency( "jpox:jpox-enhancer:1.1.7::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-api:1.1-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "jpox:jpox-enhancer:1.1.7" );
      model.setParentProject( toParent( "jpox:jpox-parent:1.1.7" ) );
      model.addDependency( toDependency( "jpox:jpox:1.1.7::jar" ) );
      model.addDependency( toDependency( "org.apache.bcel:bcel:5.2::jar" ) );
      model.addDependency( toDependency( "ant:ant:1.6::jar" ) );
      addModel( model );

      model = toModel( "org.apache.bcel:bcel:5.2" );
      model.addDependency( toDependency( "jakarta-regexp:jakarta-regexp:1.4::jar" ) );
      addModel( model );

      model = toModel( "jakarta-regexp:jakarta-regexp:1.4" );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-mail-sender-simple:1.0-alpha-6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-mail-senders:1.0-alpha-6" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-mail-sender-test:1.0-alpha-6::jar", "test" ) );
      model.addDependency( toDependency( "dumbster:dumbster:1.5::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-web:1.1-SNAPSHOT" );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-xmlrpc-api:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-xmlrpc:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-api:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.xmlrpc:xmlrpc-common:3.0::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-xmlrpc:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-parent:1.1-SNAPSHOT" ) );
      addModel( model );

      model = toModel( "org.apache.xmlrpc:xmlrpc-common:3.0" );
      model.setParentProject( toParent( "org.apache.xmlrpc:xmlrpc:3.0" ) );
      model.addDependency( toDependency( "org.apache.ws.commons:ws-commons-util:1.0.1::jar" ) );
      model.addDependency( toDependency( "jaxme:jaxmeapi:0.5.1::jar", "provided" ) );
      addModel( model );

      model = toModel( "org.apache.xmlrpc:xmlrpc:3.0" );
      model.setParentProject( toParent( "org.apache:apache:3" ) );
      model.addDependencyManagement( toDependency( "commons-httpclient:commons-httpclient:3.0.1::jar", "provided" ) );
      model.addDependencyManagement( toDependency( "commons-logging:commons-logging:1.1::jar" ) );
      model.addDependencyManagement( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      model.addDependencyManagement( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependencyManagement( toDependency( "org.apache.ws.commons:ws-commons-util:1.0.1::jar" ) );
      model.addDependencyManagement( toDependency( "jaxme:jaxmeapi:0.5.1::jar", "provided" ) );
      addModel( model );

      model = toModel( "commons-logging:commons-logging:1.1" );
      model.addDependency( toDependency( "log4j:log4j:1.2.12::jar" ) );
      model.addDependency( toDependency( "logkit:logkit:1.0.1::jar" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependency( toDependency( "avalon-framework:avalon-framework:4.1.3::jar" ) );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.3::jar" ) );
      addModel( model );

      model = toModel( "log4j:log4j:1.2.12" );
      addModel( model );

      model = toModel( "org.apache.ws.commons:ws-commons-util:1.0.1" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar" ) );
      model.addDependency( toDependency( "xml-apis:xml-apis:1.0.b2::jar" ) );
      addModel( model );

      model = toModel( "jaxme:jaxmeapi:0.5.1" );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-xmlrpc-client:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-xmlrpc:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-xmlrpc-api:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.xmlrpc:xmlrpc-client:3.0::jar" ) );
      addModel( model );

      model = toModel( "org.apache.xmlrpc:xmlrpc-client:3.0" );
      model.setParentProject( toParent( "org.apache.xmlrpc:xmlrpc:3.0" ) );
      model.addDependency( toDependency( "org.apache.xmlrpc:xmlrpc-common:3.0::jar" ) );
      model.addDependency( toDependency( "commons-httpclient:commons-httpclient:3.0.1::jar", "provided" ) );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-xmlrpc-server:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-xmlrpc:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-xmlrpc-api:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-security:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-xwork-integration:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "org.apache.xmlrpc:xmlrpc-server:3.0::jar" ) );
      addModel( model );

      model = toModel( "org.apache.xmlrpc:xmlrpc-server:3.0" );
      model.setParentProject( toParent( "org.apache.xmlrpc:xmlrpc:3.0" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.1::jar" ) );
      model.addDependency( toDependency( "org.apache.xmlrpc:xmlrpc-common:3.0::jar" ) );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-plexus-application:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-parent:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-webapp:1.1-SNAPSHOT::war" ) );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-webapp:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-parent:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-configuration:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.registry:plexus-registry-api:1.0-alpha-2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.registry:plexus-registry-commons:1.0-alpha-2::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.shared:maven-app-configuration-model:1.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.shared:maven-app-configuration-web:1.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-core:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-security:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-xwork-integration:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      model.addDependency( toDependency( "javax.servlet:jsp-api:2.0::jar", "provided" ) );
      model.addDependency( toDependency( "opensymphony:sitemesh:2.2.1::jar" ) );
      dep = toDependency( "org.extremecomponents:extremecomponents:1.0.1::jar" );
      addExclusion( dep, "commons-collections:commons-collections" );
      model.addDependency( dep );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar" ) );
      model.addDependency( toDependency( "org.apache.derby:derby:10.1.3.1::jar", "provided" ) );
      model.addDependency( toDependency( "commons-fileupload:commons-fileupload:1.1::jar" ) );
      model.addDependency( toDependency( "taglibs:standard:1.1.2::jar" ) );
      model.addDependency( toDependency( "javax.servlet:jstl:1.1.2::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-bazaar:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-clearcase:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvsjava:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-cvsexe:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-hg:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-local:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-perforce:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-starteam:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-svnexe:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-synergy:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.scm:maven-scm-provider-vss:1.0-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-notifier-irc:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-notifier-jabber:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-notifier-msn:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-notifier-wagon:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-xmlrpc-server:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-beta-2::jar", "runtime" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-file:1.0-beta-2::jar", "runtime" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-http-lightweight:1.0-beta-2::jar", "runtime" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-ssh:1.0-beta-2::jar", "runtime" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-ssh-external:1.0-beta-2::jar", "runtime" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-webdav:1.0-beta-2::jar", "runtime" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-xwork-content:1.0-alpha-1-SNAPSHOT::war", "runtime" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-xwork-integration:1.0-alpha-1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-taglib:1.0-alpha-1-SNAPSHOT::jar" ) );
      dep = toDependency( "org.codehaus.plexus:plexus-jdo2:1.0-alpha-8::jar" );
      addExclusion( dep, "xerces:xercesImpl" );
      addExclusion( dep, "xerces:xmlParserAPIs" );
      model.addDependency( dep );
      model.addDependency( toDependency( "geronimo-spec:geronimo-spec-jta:1.0.1B-rc2::jar", "provided" ) );
      dep = toDependency( "jpox:jpox:1.1.7::jar" );
      addExclusion( dep, "javax.sql:jdbc-stdext" );
      model.addDependency( dep );
      model.addDependency( toDependency( "commons-lang:commons-lang:2.2::jar" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:3.2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-mail-sender-javamail:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "javax.mail:mail:1.4::jar", "provided" ) );
      model.addDependency( toDependency( "javax.activation:activation:1.1::jar", "provided" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.registry:plexus-registry-api:1.0-alpha-2" );
      model.setParentProject( toParent( "org.codehaus.plexus.registry:plexus-registry:1.0-alpha-2" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-17::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.registry:plexus-registry:1.0-alpha-2" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.12" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-17::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.registry:plexus-registry-api:1.0-alpha-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.registry:plexus-registry-test:1.0-alpha-2::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.registry:plexus-registry-test:1.0-alpha-2" );
      addModel( model );

      model = toModel( "org.codehaus.plexus.registry:plexus-registry-commons:1.0-alpha-2" );
      model.setParentProject( toParent( "org.codehaus.plexus.registry:plexus-registry-providers:1.0-alpha-2" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.registry:plexus-registry-api:1.0-alpha-2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.registry:plexus-registry-test:1.0-alpha-2::jar", "test" ) );
      dep = toDependency( "commons-configuration:commons-configuration:1.3::jar" );
      addExclusion( dep, "commons-beanutils:commons-beanutils-core" );
      addExclusion( dep, "xerces:xerces" );
      addExclusion( dep, "xerces:xercesImpl" );
      addExclusion( dep, "xalan:xalan" );
      addExclusion( dep, "xml-apis:xml-apis" );
      addExclusion( dep, "servletapi:servletapi" );
      model.addDependency( dep );
      model.addDependency( toDependency( "commons-beanutils:commons-beanutils:1.7.0::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.registry:plexus-registry-providers:1.0-alpha-2" );
      model.setParentProject( toParent( "org.codehaus.plexus.registry:plexus-registry:1.0-alpha-2" ) );
      addModel( model );

      model = toModel( "org.apache.maven.shared:maven-app-configuration-model:1.0" );
      model.setParentProject( toParent( "org.apache.maven.shared:maven-app-configuration:1.0" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.registry:plexus-registry-api:1.0-alpha-2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-20::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.shared:maven-app-configuration:1.0" );
      model.setParentProject( toParent( "org.apache.maven.shared:maven-shared-components:7" ) );
      addModel( model );

      model = toModel( "org.apache.maven.shared:maven-shared-components:7" );
      model.setParentProject( toParent( "org.apache.maven:maven-parent:5" ) );
      addModel( model );

      model = toModel( "org.apache.maven.shared:maven-app-configuration-web:1.0" );
      model.setParentProject( toParent( "org.apache.maven.shared:maven-app-configuration:1.0" ) );
      model.addDependency( toDependency( "org.apache.maven.shared:maven-app-configuration-model:1.0::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-project:2.0.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-http-lightweight:1.0-beta-2::jar", "runtime" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-20::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-project:2.0.4" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.4" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-settings:2.0.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact-test:2.0.4::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-profile:2.0.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-model:2.0.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact-manager:2.0.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact:2.0.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven:2.0.4" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-ssh:1.0-alpha-7::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-ssh-external:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-file:1.0-alpha-7::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-http-lightweight:1.0-alpha-6::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-provider-api:1.0-alpha-6" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon:1.0-alpha-6" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon:1.0-alpha-6" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.maven.wagon:wagon-provider-test:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "junit:junit:3.8.1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-provider-test:1.0-alpha-6" );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-ssh:1.0-alpha-7" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon-providers:1.0-alpha-6" ) );
      model.addDependency( toDependency( "com.jcraft:jsch:0.1.24::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-interactivity-api:1.0-alpha-4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-providers:1.0-alpha-6" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon:1.0-alpha-6" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-test:1.0-alpha-6::jar", "test" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-alpha-6::jar" ) );
      addModel( model );

      model = toModel( "com.jcraft:jsch:0.1.24" );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-ssh-external:1.0-alpha-6" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon-providers:1.0-alpha-6" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.0.4::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-file:1.0-alpha-7" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon-providers:1.0-alpha-6" ) );
      addModel( model );

      model = toModel( "org.apache.maven.wagon:wagon-http-lightweight:1.0-alpha-6" );
      model.setParentProject( toParent( "org.apache.maven.wagon:wagon-providers:1.0-alpha-6" ) );
      dep = toDependency( "plexus:plexus-jetty-httpd:1.0-beta-1::jar", "test" );
      addExclusion( dep, "plexus:plexus-container-default" );
      model.addDependency( dep );
      addModel( model );

      model = toModel( "org.apache.maven:maven-settings:2.0.4" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.4" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-model:2.0.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-model:2.0.4" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.4" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-artifact-test:2.0.4" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.4" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "compile" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-settings:2.0.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact-manager:2.0.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact:2.0.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-artifact-manager:2.0.4" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.4" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-repository-metadata:2.0.4::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-file:1.0-alpha-7::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-artifact:2.0.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-provider-api:1.0-alpha-6::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-repository-metadata:2.0.4" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.4" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-artifact:2.0.4" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.4" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar", "test" ) );
      addModel( model );

      model = toModel( "org.apache.maven:maven-profile:2.0.4" );
      model.setParentProject( toParent( "org.apache.maven:maven:2.0.4" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-model:2.0.4::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-9::jar" ) );
      addModel( model );

      model = toModel( "commons-fileupload:commons-fileupload:1.1" );
      model.addDependency( toDependency( "commons-io:commons-io:1.1::jar" ) );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.3::jar", "provided" ) );
      model.addDependency( toDependency( "javax.portlet:portlet-api:1.0::jar", "provided" ) );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "commons-io:commons-io:1.1" );
      model.addDependency( toDependency( "junit:junit:3.8.1::jar", "test" ) );
      addModel( model );

      model = toModel( "javax.portlet:portlet-api:1.0" );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-notifier-irc:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-notifiers:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-ircbot:1.1-alpha-6::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-notifier-api:1.1-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-ircbot:1.1-alpha-6" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.4" ) );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-notifier-jabber:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-notifiers:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-notifier-api:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-jabber:1.0-alpha-4::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-jabber:1.0-alpha-4" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.5" ) );
      model.addDependency( toDependency( "jivesoftware:smackx:2.0.0::jar" ) );
      model.addDependency( toDependency( "jivesoftware:smack:2.0.0::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-components:1.1.5" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.5" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-8::jar" ) );
      addModel( model );

      model = toModel( "jivesoftware:smackx:2.0.0" );
      addModel( model );

      model = toModel( "jivesoftware:smack:2.0.0" );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-notifier-msn:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-notifiers:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-msn:1.0-alpha-2::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-notifier-api:1.1-SNAPSHOT::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus:plexus-msn:1.0-alpha-2" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus-components:1.1.4" ) );
      model.addDependency( toDependency( "jmsn:msnmlib:1.4-20050613::jar" ) );
      addModel( model );

      model = toModel( "jmsn:msnmlib:1.4-20050613" );
      addModel( model );

      model = toModel( "org.apache.maven.continuum:continuum-notifier-wagon:1.1-SNAPSHOT" );
      model.setParentProject( toParent( "org.apache.maven.continuum:continuum-notifiers:1.1-SNAPSHOT" ) );
      model.addDependency( toDependency( "org.apache.maven:maven-project:2.0.5::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-notification:1.0-alpha-5::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-core:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.continuum:continuum-notifier-api:1.1-SNAPSHOT::jar" ) );
      model.addDependency( toDependency( "org.apache.maven.wagon:wagon-webdav:1.0-beta-2::jar", "test" ) );
      model.addDependency( toDependency( "it.could:webdav:0.4::jar", "test" ) );
      model.addDependency( toDependency( "org.mortbay.jetty:jetty:4.2.12::jar", "test" ) );
      addModel( model );

      model = toModel( "jpox:jpox-dbcp:1.1.7" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-api:1.0" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-manager-plexus:1.0" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-bazaar:1.0" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-clearcase:1.0" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-cvsjava:1.0" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-cvsexe:1.0" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-hg:1.0" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-local:1.0" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-perforce:1.0" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-starteam:1.0" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-svnexe:1.0" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-synergy:1.0" );
      addModel( model );

      model = toModel( "org.apache.maven.scm:maven-scm-provider-vss:1.0" );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac-role-manager:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-rbac:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1::jar" ) );
      dep = toDependency( "net.java.dev.stax-utils:stax-utils:20060502::jar" );
      addExclusion( dep, "com.bea.xml:jsr173-ri" );
      model.addDependency( dep );
      model.addDependency( toDependency( "stax:stax-api:1.0.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.woodstox:wstx-asl:3.2.1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-memory:1.0-alpha-1::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-jdo:1.0-alpha-1::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-common-jdo:1.0-alpha-1::jar" ) );
      dep = toDependency( "net.java.dev.stax-utils:stax-utils:20060502::jar" );
      addExclusion( dep, "com.bea.xml:jsr173-ri" );
      model.addDependency( dep );
      model.addDependency( toDependency( "stax:stax-api:1.0.1::jar" ) );
      dep = toDependency( "stax:stax:1.1.1-dev::jar", "test" );
      addExclusion( dep, "xmlbeans:xmlbeans-jsr173-api" );
      model.addDependency( dep );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.8.0.4::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus:plexus:1.0.10" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-20::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-20::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-configuration:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-common-jdo:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-authentication-api:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-keys-tests:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-keys-cached:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-keys-memory:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-keys-jdo:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-authentication-users:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-authentication-=keys=:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-authentication-memory:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-authentication-keys:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-authorization-api:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-users-jdo:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-users-memory:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-users-cached:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-users-tests:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-authorization-rbac:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-tests:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-memory:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-cached:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-jdo:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-rbac-role-manager:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-xwork-integration:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-taglib:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-xwork-content:1.0-alpha-1::war" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus.redback:redback-xwork-integration:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-component-api:1.0-alpha-20::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-container-default:1.0-alpha-20::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-utils:1.2::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-ehcache:1.0-alpha-2::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-mail-sender-api:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-mail-sender-javamail:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-expression-evaluator:1.0-alpha-1::jar" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar", "test" ) );
      model.addDependencyManagement( toDependency( "org.codehaus.plexus:plexus-xwork-integration:1.0-alpha-6::jar" ) );
      model.addDependencyManagement( toDependency( "xalan:xalan:2.7.0::jar" ) );
      model.addDependencyManagement( toDependency( "xml-apis:xml-apis:1.3.03::jar" ) );
      model.addDependencyManagement( toDependency( "commons-lang:commons-lang:2.2::jar" ) );
      model.addDependencyManagement( toDependency( "commons-collections:commons-collections:3.2::jar" ) );
      model.addDependencyManagement( toDependency( "commons-logging:commons-logging:1.0.4::jar" ) );
      model.addDependencyManagement( toDependency( "hsqldb:hsqldb:1.8.0.4::jar" ) );
      model.addDependencyManagement( toDependency( "org.apache.derby:derby:10.1.3.1::jar" ) );
      model.addProperty( "security.version", "1.0-alpha-1" );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-configuration:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-expression-evaluator:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.registry:plexus-registry-commons:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-configuration:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authentication-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authorization-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-cached:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-cached:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authentication-memory:1.0-alpha-1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authentication-api:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authentication:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authentication:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-users:1.0-alpha-1" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-users:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-configuration:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authorization-api:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authorization:1.0-alpha-1" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authorization:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-users-cached:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-users-providers:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-ehcache:1.0-alpha-2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-jdo:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-tests:1.0-alpha-1::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-memory:1.0-alpha-1::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-users-providers:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-users:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-users-jdo:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-users-providers:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-common-jdo:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-tests:1.0-alpha-1::jar", "test" ) );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.8.0.4::jar", "test" ) );
      dep = toDependency( "net.java.dev.stax-utils:stax-utils:20060502::jar" );
      addExclusion( dep, "com.bea.xml:jsr173-ri" );
      model.addDependency( dep );
      model.addDependency( toDependency( "stax:stax-api:1.0.1::jar" ) );
      model.addDependency( toDependency( "woodstox:wstx-asl:3.2.0::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-common-jdo:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-common:1.0-alpha-1" ) );
      dep = toDependency( "org.codehaus.plexus:plexus-jdo2:1.0-alpha-8::jar" );
      addExclusion( dep, "xerces:xercesImpl" );
      addExclusion( dep, "xerces:xmlParserAPIs" );
      model.addDependency( dep );
      dep = toDependency( "jpox:jpox:1.1.7::jar", "compile" );
      addExclusion( dep, "javax.sql:jdbc-stdext" );
      model.addDependency( dep );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.8.0.4::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-configuration:1.0-alpha-1::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-common:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-users-tests:1.0-alpha-1" );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-users-memory:1.0-alpha-1" );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-keys:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-digest:1.0::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-keys:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-keys-cached:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-keys-providers:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-ehcache:1.0-alpha-2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-jdo:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-tests:1.0-alpha-1::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-memory:1.0-alpha-1::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-keys-providers:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-keys:1.0-alpha-1" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-keys-jdo:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-keys-providers:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-common-jdo:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-tests:1.0-alpha-1::jar", "test" ) );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.8.0.4::jar", "test" ) );
      dep = toDependency( "net.java.dev.stax-utils:stax-utils:20060502::jar" );
      addExclusion( dep, "com.bea.xml:jsr173-ri" );
      model.addDependency( dep );
      model.addDependency( toDependency( "stax:stax-api:1.0.1::jar" ) );
      model.addDependency( toDependency( "woodstox:wstx-asl:3.2.0::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-keys-tests:1.0-alpha-1" );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-keys-memory:1.0-alpha-1" );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authentication-memory:1.0-alpha-1" );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authentication-users:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authentication-providers:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authentication-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-cached:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-memory:1.0-alpha-1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authentication-providers:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authentication:1.0-alpha-1" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authentication-=keys=:1.0-alpha-1" );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authentication-keys:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authentication-providers:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authentication-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-cached:1.0-alpha-1::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authorization-rbac:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authorization-providers:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authorization-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-cached:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-users-cached:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-authorization-providers:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-authorization:1.0-alpha-1" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac-cached:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-rbac-providers:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authorization-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-ehcache:1.0-alpha-2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-jdo:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-memory:1.0-alpha-1::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-tests:1.0-alpha-1::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac-providers:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-rbac:1.0-alpha-1" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-rbac:1.0-alpha-1" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac-jdo:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-rbac-providers:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-tests:1.0-alpha-1::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.2::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-common-jdo:1.0-alpha-1::jar" ) );
      dep = toDependency( "net.java.dev.stax-utils:stax-utils:20060502::jar" );
      addExclusion( dep, "com.bea.xml:jsr173-ri" );
      model.addDependency( dep );
      model.addDependency( toDependency( "stax:stax-api:1.0.1::jar" ) );
      dep = toDependency( "stax:stax:1.1.1-dev::jar", "test" );
      addExclusion( dep, "xmlbeans:xmlbeans-jsr173-api" );
      model.addDependency( dep );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.8.0.4::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-log4j-logging:1.1-alpha-2::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac-tests:1.0-alpha-1" );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-rbac-memory:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-rbac-providers:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authorization-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-model:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-tests:1.0-alpha-1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-xwork-integration:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-xwork:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-configuration:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-policy:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authentication-users:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-api:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authentication-keys:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-authorization-rbac:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-rbac-role-manager:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-xwork-integration:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-mail-sender-api:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-mail-sender-javamail:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "org.extremecomponents:extremecomponents:1.0.1::jar" ) );
      model.addDependency( toDependency( "commons-beanutils:commons-beanutils-bean-collections:1.7.0::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-utils:1.2::jar" ) );
      dep = toDependency( "org.codehaus.plexus:plexus-velocity:1.1.2::jar" );
      addExclusion( dep, "plexus:plexus-utils" );
      addExclusion( dep, "commons-logging:commons-logging-api" );
      model.addDependency( dep );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      model.addDependency( toDependency( "taglibs:standard:1.1.2::jar" ) );
      model.addDependency( toDependency( "javax.servlet:jstl:1.1.2::jar" ) );
      model.addDependency( toDependency( "commons-collections:commons-collections:3.2::jar" ) );
      model.addDependency( toDependency( "commons-lang:commons-lang:2.2::jar" ) );
      model.addDependency( toDependency( "opensymphony:sitemesh:2.2.1::jar" ) );
      model.addDependency( toDependency( "hsqldb:hsqldb:1.8.0.4::jar", "test" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-keys-memory:1.0-alpha-1::jar", "test" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-xwork:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-integrations:1.0-alpha-1" ) );
      model.addDependencyManagement( toDependency( "taglibs:standard:1.1.2::jar" ) );
      model.addDependencyManagement( toDependency( "javax.servlet:jstl:1.1.2::jar" ) );
      model.addDependencyManagement( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      model.addDependencyManagement( toDependency( "javax.servlet:jsp-api:2.0::jar", "provided" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-integrations:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1::jar" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-taglib:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-integrations:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-system:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus:plexus-xwork-integration:1.0-alpha-6::jar" ) );
      model.addDependency( toDependency( "taglibs:standard:1.1.2::jar" ) );
      model.addDependency( toDependency( "javax.servlet:jstl:1.1.2::jar" ) );
      model.addDependency( toDependency( "javax.servlet:servlet-api:2.4::jar", "provided" ) );
      model.addDependency( toDependency( "javax.servlet:jsp-api:2.0::jar", "provided" ) );
      addModel( model );

      model = toModel( "org.codehaus.plexus.redback:redback-xwork-content:1.0-alpha-1" );
      model.setParentProject( toParent( "org.codehaus.plexus.redback:redback-xwork:1.0-alpha-1" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-xwork-integration:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "org.codehaus.plexus.redback:redback-taglib:1.0-alpha-1::jar" ) );
      model.addDependency( toDependency( "commons-logging:commons-logging:1.0.4::jar" ) );
      addModel( model );

   }
}
